/*  Copyright (c)   Mar, 1986   UMMC.  All rights reserved

Filename:       errcodes.h

Abstract:       This module defines the error codes and associated error messages for the CLIP
            Environment.

Environment:    UM/CLIP

Revision History:
    Rev #      Date    Auth     Reason
    -----   ---------  ----     ----------------------------------
     0.0    18-mar-86   js      original implementation
     0.1    19-mar-86   daf     define OK 
     0.2    24-mar-86   js      define ERMXSZ
    
=========================================================================*/


/* define error codes */
/* negative numbers are errors, zero is no error, positive numbers are data, counts, etc.   */

/* #define      OK      0       already defined on Mac in dialog.h  */
#define     ERROR   -1      /* unspecified error */
#define     ERMXSZ  -2      /* illegal matrix size or matrix size mis-match */

/* specify error message here if any */