/*						  Broadacre WorkDesk								*/

/* 				copyright  1987 Broadacre Solutions Inc.					*/
/*					   Lightspeed C compiler 2.01							*/

/*						  WorkDesk source file								*/

/*	DAF	01/28/87	Created this file and structured for the future		0.1	*/

#include	<workdesk.h>
#include	"WDAT.proto"

void 	ShowTextH();
Handle 	GetTextH();
void 	SendIt();
void 	RecIt();
OSErr 	RegIt();
OSErr 	UnRegIt();
OSErr 	RegSel();
OSErr 	GetChooserName();
OSErr 	SendHandle();
OSErr 	RecHandle();

EventRecord		event;
EntityPtr		ePtr;
char			nodeName[256],resStr[256];
int				socket;
OSErr			error;
int				X;
char			tStr1[256],tStr2[256];

main()
{
	XTendInit();

	InitCursor();
	error = GetChooserName(nodeName);
	GetIndString(resStr,256,1);
	error = RegIt(nodeName,resStr,&socket,&ePtr);
	if (error == noErr)
		do {
			X = Alert(256,NULL);
			if (X == 2)
				SendIt();
			if (X == 3)
				RecIt();
		} while (X != 1);
	error = UnRegIt(nodeName,resStr,socket,ePtr);
}

void ShowTextH (Hndl)
Handle		Hndl;
{
	int			temp;

	HLock(Hndl);
	ParamText(*Hndl,"\P","\P","\P");
	temp = Alert(259,NULL);
	HUnlock(Hndl);
}

Handle GetTextH()
{
	char			S[256];
	int				Y;
	DialogPtr		DP;
	Handle			H2;
	Rect			R;
	
	DP = GetNewDialog(257,NULL,NEG_ONE);
	do {
		ModalDialog(NULL,&Y);
	} while (Y != 1);
	GetDItem(DP,2,&Y,&H2,&R);
	GetIText(H2,S);
	DisposDialog(DP);

	return((Handle)NewString(S));
}

void SendIt()
{
	AddrBlock		addrB;
	Boolean			flag;
	EntityName		eName;
	Handle			hndl;

	error = RegSel(resStr,&eName,&addrB,&flag);
	if (flag) {
		hndl = NULL;
		hndl = GetTextH();
		if (ValidHandle((Handle)hndl)) {
			error = SendHandle(hndl,socket,&addrB);
			DisposHandle(hndl);
		}
	}
}

void RecIt()
{
	Handle		strHndl;
	char		S2[256];

	GetIndString(S2,256,2);
	error = RecHandle(&strHndl,socket,S2);
	if (error == noErr)
		ShowTextH(strHndl);
	if (ValidHandle((Handle)strHndl))
		DisposHandle(strHndl);
}

OSErr RegIt(ObjName,TypeName,MySocket,MyPtr)
char		*ObjName,*TypeName;
int		*MySocket;
EntityPtr	*MyPtr;
{
	OSErr		myErr;
	int			nbpNameBufSize;
	NBPProto	**myABRecord;
	EntityName	myEntity;
	Ptr			nbpNamePtr;

	myErr = noErr;
	*MyPtr = NULL;
	*MySocket = 0;
	myErr = MPPOpen();
	if (myErr != noErr)
		return(myErr);

	myErr = DDPOpenSocket(MySocket,NULL);
	if (myErr != noErr)
		return(myErr);

	myABRecord = (NBPProto **)NewHandle((long)nbpSize);
	XTpstrcpy((char *)myEntity.objStr,ObjName);
	XTpstrcpy((char *)myEntity.typeStr,TypeName);
	XTpstrcpy((char *)myEntity.zoneStr,"\P*");
	nbpNameBufSize = ((int)(myEntity.objStr[0])) + 
					 ((int)(myEntity.typeStr[0])) + 
					 ((int)(myEntity.zoneStr[0])) + 12;
	nbpNamePtr = NewPtr((long)nbpNameBufSize);

	(**myABRecord).nbpEntityPtr = &myEntity;
	(**myABRecord).nbpBufPtr = nbpNamePtr;
	(**myABRecord).nbpBufSize = nbpNameBufSize;
	(**myABRecord).nbpAddress.aSocket = *MySocket;
	(**myABRecord).nbpRetransmitInfo.retransInterval = 8;
	(**myABRecord).nbpRetransmitInfo.retransCount = 3;

	myErr = NBPRegister(myABRecord,TRUE);
	if (myErr != noErr)
		return(myErr);

	*MyPtr = &myEntity;
	DisposHandle((Handle)myABRecord);
	return(noErr);
}

OSErr UnRegIt (ObjName,TypeName,MySocket,MyPtr)
char		*ObjName,*TypeName;
int		MySocket;
EntityPtr	MyPtr;
{
	OSErr		myErr;
	EntityName	myEntity;
		
	myErr = noErr;

	if (MyPtr != NULL) {
			XTpstrcpy((char *)myEntity.objStr,ObjName);
			XTpstrcpy((char *)myEntity.typeStr,TypeName);
			XTpstrcpy((char *)&myEntity.zoneStr,"\P*");
	}
	myErr = NBPRemove(&myEntity);
	if (myErr != noErr)
		DisposPtr((Ptr)MyPtr);

	if (MySocket != 0)
		myErr = DDPCloseSocket(MySocket);

	return(myErr);
}

OSErr RegSel(TypeName,MyName,MyAddr,HaveOne)
char		*TypeName;
EntityName	*MyName;
AddrBlock	*MyAddr;
Boolean		*HaveOne;
{
	DialogPtr		DP;
	OSErr			myErr;
	EntityName		myEntity;
	NBPProto		**myABRecord;
	char			myBuffer[999];
	int				count,num,kind,i;
	ControlHandle	item;
	Rect			box;

	myErr = noErr;
	*HaveOne = FALSE;

	XTpstrcpy((char *)myEntity.objStr,"\P=");
	XTpstrcpy((char *)myEntity.typeStr,TypeName);
	XTpstrcpy((char *)&myEntity.zoneStr,"\P*");

	myABRecord = (NBPProto **)NewHandle((long)nbpSize);

	(**myABRecord).nbpEntityPtr = &myEntity;
	(**myABRecord).nbpBufPtr = myBuffer;
	(**myABRecord).nbpBufSize = sizeof(myBuffer);
	(**myABRecord).nbpDataField = 100;
	(**myABRecord).nbpRetransmitInfo.retransInterval = 8;
	(**myABRecord).nbpRetransmitInfo.retransCount = 3;

	myErr = NBPLookup(myABRecord,FALSE);
	if (myErr == noErr) {
		num = (**myABRecord).nbpDataField;
		DP = GetNewDialog(128,NULL,NEG_ONE);
		for (i = 1;i <= num;i++) {
			myErr = NBPExtract(myBuffer,num,i,MyName,MyAddr);
			GetDItem(DP,i + 1,&kind,&item,&box);
			SetCTitle(item,MyName->objStr);
		}
		ModalDialog(NULL,&count);
		if (count > 1) {
			myErr = NBPExtract(myBuffer,num,count - 1,MyName,MyAddr);
			if (myErr == noErr)
				*HaveOne = TRUE;
		}
		DisposDialog(DP);
	}
	DisposHandle((Handle)myABRecord);
}

OSErr GetChooserName(Name)				/* get name from chooser desk accessory	*/
char		*Name;
{
	StringHandle	strHndl;

	strHndl = GetString(-16096);		/* special resource ID of chooser string	*/
	if (ValidHandle((Handle)strHndl)) {	/* if such a resource actually exists	*/
		XTpstrcpy(Name,(char *)(*strHndl));	/* copy the string to the Name parameter	*/
		ReleaseResource((Handle)strHndl);	/* release the resource from memory	*/
		return(noErr);
	}
	return(nilHandleErr);
}

OSErr SendHandle(H,SourceSocket,DestAddr)
Handle		H;	
int		SourceSocket;
AddrBlock	*DestAddr;
{
#define		MaxDDP  512

	OSErr		myErr;
	DDPProto	**myABRecord;
	int			SZ;

	myErr = noErr;
	myABRecord = (DDPProto **)NewHandle((long)ddpSize);
	HLock(H);

	SZ = GetHandleSize(H);
	if (SZ > MaxDDP)
		SZ = MaxDDP;
	(**myABRecord).ddpType = 5;
	(**myABRecord).ddpSocket = SourceSocket;
	(**myABRecord).ddpAddress = *DestAddr;
	(**myABRecord).ddpReqCount = SZ;
	(**myABRecord).ddpDataPtr = *H;

	myErr = DDPWrite(myABRecord,FALSE,TRUE);

	DisposHandle((Handle)myABRecord);
	HUnlock(H);
	return(myErr);
}

OSErr RecHandle (H,SourceSocket,WStr)
Handle		*H;
int			SourceSocket;
char		*WStr;
{
	OSErr			myErr;
	DDPProto		**myABRecord;
	WindowPtr		W;
	WindowRecord	WR;
	Boolean			done;
	Rect			R;
	Ptr				myBuff;

	myErr = noErr;
	myABRecord = (DDPProto **)NewHandle((long)ddpSize);
	*H = NewHandle((long)512);
	HLock(*H);

	(**myABRecord).ddpSocket = SourceSocket;
	(**myABRecord).ddpReqCount = 512;
	(**myABRecord).ddpDataPtr = **H;
	done = FALSE;

	if ((unsigned char)(WStr[0]) > 0) {
		R.top = 40;
		R.bottom = 80;
		R.left = screenBits.bounds.left + 15;
		R.right = screenBits.bounds.right - 15;
		W = NewWindow(&WR,&R,"\P",TRUE,1,NEG_ONE,FALSE,0);
		SetPort(W);
		TextFont(0);
		OffsetRect(&R,-(R.left),-(R.top));
		InsetRect(&R,5,5);
		TextBox(&(WStr[1]),(unsigned char)WStr[0],&R,teJustCenter);
	}

	myErr = DDPRead(myABRecord,TRUE,TRUE);
	if (myErr == noErr) {
		done = FALSE;
		while (((**myABRecord).abResult == 1));
		done = TRUE;
	}

	if ((unsigned char)WStr[0] > 0)
		CloseWindow(W);

	HUnlock(*H);
	if (done)
		SetHandleSize(*H,(**myABRecord).ddpActCount);
	DisposHandle((Handle)myABRecord);
	return(myErr);
}
