/* -- remove this header before using file! --
HEADER:		The Last Cross-Referencer;
TITLE:		TLC/TLP - The Last Cross-Referencer;
VERSION:	1.01;

DESCRIPTION: "TLC/TLP.
			Macintosh MPW C 3.0 make file to compile/link TLC";

KEYWORDS:	Utility, Cross-reference, C, Pascal, Apple, Macintosh, APW, Aztec;
SYSTEM:		Macintosh MPW, v3.0;
FILENAME:	TLC.MAKE;
WARNINGS:	"Has not yet been ported to MS-DOS.
			Shareware, $20 Check/Money Order suggested.";

SEE-ALSO:	README.TLC,TLCHELP.DOC,TLPHELP.DOC;
AUTHORS:	Eduard Schwan;
COMPILERS:	AZTEC C65 v3.2b, APPLEIIGS APW C v1.0, APPLE MACINTOSH MPW C v3.0;
*/
#   File:       tlc.make - The Last Cross Referencer
#   Target:     tlc
#   Sources:    tlc.c
#               tlccmd.c
#				tlcext
#               tlcgtok.c
#				tlc.h
#               tlcparm.c
#               tlcprocf.c
#               tlcresw.c
#               tlcsetp.c
#               tlcstat.c
#               tlcutil.c
#               tlcxref.c
#   Created:    Saturday, May 7, 1988 5:53:10 PM
#   Author:		Eduard Schwan [esp]

tlcincs		= tlc.h tlc.ext
directives	= -mbg 15

tlc.c.o  tlc.make tlc.c {tlcincs}
	C {directives} tlc.c
tlccmd.c.o  tlc.make tlccmd.c {tlcincs}
	C {directives} tlccmd.c
tlcgtok.c.o  tlc.make tlcgtok.c {tlcincs}
	C {directives} tlcgtok.c
tlcparm.c.o  tlc.make tlcparm.c {tlcincs}
	C {directives} tlcparm.c
tlcprocf.c.o  tlc.make tlcprocf.c {tlcincs}
	C {directives} tlcprocf.c
tlcresw.c.o  tlc.make tlcresw.c {tlcincs}
	C {directives} tlcresw.c
tlcsetp.c.o  tlc.make tlcsetp.c {tlcincs}
	C {directives} tlcsetp.c
tlcstat.c.o  tlc.make tlcstat.c {tlcincs}
	C {directives} tlcstat.c
tlcutil.c.o  tlc.make tlcutil.c {tlcincs}
	C {directives} tlcutil.c
tlcxref.c.o  tlc.make tlcxref.c {tlcincs}
	C {directives} tlcxref.c
tlc  tlc.make 
		tlc.c.o 
		tlccmd.c.o 
		tlcgtok.c.o 
		tlcparm.c.o 
		tlcprocf.c.o 
		tlcresw.c.o 
		tlcsetp.c.o 
		tlcstat.c.o 
		tlcutil.c.o 
		tlcxref.c.o
	Link -w -t MPST -c 'MPS ' 
		tlc.c.o 
		tlccmd.c.o 
		tlcgtok.c.o 
		tlcparm.c.o 
		tlcprocf.c.o 
		tlcresw.c.o 
		tlcsetp.c.o 
		tlcstat.c.o 
		tlcutil.c.o 
		tlcxref.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
		-o "{mpw}Tools:tlc"
