#define NIL_POINTER        0L
#define MOVE_TO_FRONT     -1L
#define REMOVE_ALL_EVENTS  0
#define VISIBLE			   0


#define FALSE             (0)
#define TRUE              (!FALSE)

#define WNE_TRAP_NUM       0x60
#define UNIMPL_TRAP_NUM    0x9F

#define NOT_A_NORMAL_MENU  -1

#define TOPOFFSET			10
#define SLEEP_TIME			15
#define ESCAPE_KEY			0x1B

long LAllMenuChoice(void);
void VFigureMenuRectPos(MenuHandle MHMainMenu, MenuHandle MHHierMenu, Rect *RPPos);
pascal long main( Point PCurrentMouse );
/*********************** Main *********/

/***************patch of   MenuSelect( gTheEvent.where )  ************/

pascal long main( Point PCurrentMouse )
{
	long			LOldMenuSelectResult, LDeadMenuChoice, LReturnResult;
	char			CKeyPressed;
	Boolean			BDone;
	EventRecord		ERMenuDisplayedEvent;
	short			STheMenu, STheItem;
	MenuHandle		MHTheMenu, MHTheHierMenu;
	short			SDeadCmdMark, SDeadCmdChar, SItemNumber;
	Rect			RMenuLoc;
	WindowPtr		WPMenu;
	short			SSaveGTopMenuItem, SSaveGAtMenuBottom;
	char			CHierMenuState, C_MDEFState;
	
	void (*PH_MDEF) ();

	long *LPStartOfCode;

											/*	Find the start of the code	*/
	asm
	{
		move.l a0, LPStartOfCode
	}
											/*	Use the start of the code (with the
												offset used by Hier.c) to find the
												address of the original MenuSelect.

												This is a tail patch which depends on
												the value returned by the orginal call.
											*/
	LReturnResult = LOldMenuSelectResult = CallPascalL(PCurrentMouse,LPStartOfCode[3]);

											/*	We only butt in when the old MenuSelect
												routine returns a zero.  A zero can mean
												three things.  The user may have released
												the mouse over:
													#1	the area out side of the menus
														(or over the menu bar
														functionally the same)
													#2	a dimmed item
													#3	an item with a hierarchiacal menu
														associated with it
												We are only interested in case #3.
											*/
	if (!LOldMenuSelectResult) 
	{
											/*	We call LAllMenuChoice() to see where the
												mouse was when the user released.
											*/
		LDeadMenuChoice = LAllMenuChoice();

											/*	If the mouse was over a menu item (cases
												#2 and #3 above) then the low word of
												the result of LAllMenuChoice() will be
												have the number of the item (that is, it
												will be nonzero).
											*/
		if (STheItem = LoWord( LDeadMenuChoice ))
		{
											/*	Must be case #2 or #3 above.  To find out
												if it has a hier we must get the get the
												command char associated with the dead
												menu item.  (If it has a hier then the
												command char will be hMenuCmd, that is,
												0x1B.)
											*/
			STheMenu = HiWord( LDeadMenuChoice );
			MHTheMenu = GetMHandle(STheMenu);
			GetItemCmd (MHTheMenu, STheItem, &SDeadCmdChar);
			if ((SDeadCmdChar == hMenuCmd))	/*	Tells us its case #3 - hier	*/
			{
											/*	The Menu ID of hier menu is stored in the
												item mark of the menu item that it is
												associated with.
											*/
				GetItemMark (MHTheMenu, STheItem, &SDeadCmdMark);
				MHTheHierMenu = GetMHandle(SDeadCmdMark);
				CHierMenuState = HGetState(MHTheHierMenu);
				HLock(MHTheHierMenu);		/*	Once we get the hier menu handle and lock
												it, we have to decide where it will go
												and how big it will be.
											*/
				VFigureMenuRectPos(MHTheMenu,MHTheHierMenu,&RMenuLoc);
											/*	A color window is necessary because we
												dont know what the MDEF will want.  The
												standard MDEF with System 7 wants color
												because dimmed items are in grey.
											*/
				WPMenu = NewCWindow(NIL_POINTER,
										&RMenuLoc,
										(ConstStr255Param)"\pTest",
										!VISIBLE,
										(short)altDBoxProc,
										(WindowPtr)MOVE_TO_FRONT,
										FALSE,
										(long)'\xF0');
				SetPort( WPMenu );
											/*	We need to get and lock the hier menus
												MDEF	*/
				PH_MDEF =
					(void (*) ())StripAddress(
										(void (*) ())(*((*MHTheHierMenu)->menuProc)));
				/*C_MDEFState = HGetState(PH_MDEF);*/
				/*HLock(PH_MDEF);*/
											/*	Dont believe what Inside Mac tells you.
												The MDEF expects local coordinates.
											*/
				GlobalToLocal((Point *)&RMenuLoc.bottom);
				RMenuLoc.top = 0;
				RMenuLoc.left = 0;
											/*	The system globals TopMenuItem and
												AtMenuBottom need to be (saved and) set
												in case the MDEF is the system MDEF.
											*/
				SSaveGTopMenuItem = TopMenuItem;
				SSaveGAtMenuBottom = AtMenuBottom;
				TopMenuItem = 0;
				AtMenuBottom = RMenuLoc.bottom;

				SItemNumber = 0;			/*	This probably isnt needed.	*/
											/*	Tell the MDEF to draw the hier menu	*/
				CallPascal((short)mDrawMsg,MHTheHierMenu,&RMenuLoc,PCurrentMouse,&SItemNumber,
							PH_MDEF);
											/*	This mini event loop will execute until
												user (press and) releases the mouse,
												presses the escape or switches to another
												application.
											*/
				BDone = FALSE;
				while (!BDone)
				{
					if (WaitNextEvent(	everyEvent
										-updateMask
										-diskMask
										-highLevelEventMask,
										&ERMenuDisplayedEvent,
										SLEEP_TIME,
										NIL_POINTER))	/*	No mouse moved events	*/
						switch ( ERMenuDisplayedEvent.what)
						{
							  case mouseDown:
							  		SItemNumber=0;
							  		GlobalToLocal(&ERMenuDisplayedEvent.where);
							  		while (Button())	/* Track until button up */
							  		{
								  		GetMouse(&PCurrentMouse);
										CallPascal(	(short)mChooseMsg,MHTheHierMenu,
													&RMenuLoc,PCurrentMouse,&SItemNumber,
													PH_MDEF);
									}
													/*	Convert the result into the
														format expected from MenuSelect.
													*/
									LReturnResult = (**MHTheHierMenu).menuID;
									LReturnResult <<= 16;
									LReturnResult += SItemNumber;
									if (SItemNumber == 0)
										LReturnResult = 0;
									BDone = TRUE;
									break;
						      case keyDown:
							  case autoKey:
							        CKeyPressed =
							        	ERMenuDisplayedEvent.message & charCodeMask;
									if (CKeyPressed== ESCAPE_KEY)
										BDone = TRUE;
									break;
	    					  case activateEvt:	/*	bail if the user switches out	*/
	    					  		if (	(	ERMenuDisplayedEvent.message ==
	    					  					(long)WPMenu)	&&
	    					  				(!(activeFlag&ERMenuDisplayedEvent.modifiers)))
									{
										BDone = TRUE;
									}
									break;
						}
				}							/*	restore and dispose	*/
				TopMenuItem = SSaveGTopMenuItem;
				AtMenuBottom = SSaveGAtMenuBottom;
			   	DisposeWindow( WPMenu );
			   	HSetState(MHTheHierMenu,CHierMenuState);
			   	/*HSetState(PH_MDEF,C_MDEFState);*/
			}
		}
	};
	return LReturnResult;
	
}
/*********************** VFigureMenuRectPos *********/
void VFigureMenuRectPos(MenuHandle MHMainMenu, MenuHandle MHHierMenu,Rect *RPPos)
{
	short  		*SPMenuListWalker,SInstalledMenuOrder,SNumberOfInstalledMenus;

  	RPPos->top    = MBarHeight+TOPOFFSET;
											/*	get left edge of menu in menu bar*/
	RPPos->left   = 0;
											/*	This is where I plead guilty to the
												the temptation of terseness.
												
												What is going on is that we are walking
												the menu to find the left edge of the
												menu that has the hier associated with
												it.
											*/
	SPMenuListWalker = (*(int **)MenuList);
	SPMenuListWalker+=3;
	SNumberOfInstalledMenus = ((int)**(int **)MenuList)/6;
	for (	SInstalledMenuOrder=1;			/*	start with the first menu	*/
			(!RPPos->left)&&(SInstalledMenuOrder<=SNumberOfInstalledMenus);
											/*	As soon as (RPPos->left) goes non-zero
												(meaning that we have found our menu and
												gotten its left side) the for will
												terminate.
												If by some fluke we dont find our menu
												we will quit looking when we have reached
												the last of the installed menus.
											*/
			++SInstalledMenuOrder,SPMenuListWalker+=3)
	    {
	    if (*(MenuHandle *)SPMenuListWalker == MHMainMenu)
	    									/*	When we find our menu we get its left
	    										side. 
	    									*/
	       RPPos->left = SPMenuListWalker[2];
	    };
											/*	menuWidth and menuHeight were already
												calculated by the MDEF when the System
												called it to display the Hier initially.
											*/
	RPPos->right  = RPPos->left + (*MHHierMenu)->menuWidth;
	RPPos->bottom = RPPos->top  + (*MHHierMenu)->menuHeight;
											/*	What if this menu rect is not completely
												on the screen?
											*/
/*	if (RPPos->right > screenBits.bounds.right)
		{
			RPPos->right = screenBits.bounds.right;
			RPPos->left = RPPos->right - (*MHHierMenu)->menuWidth;
		};
	if (RPPos->bottom > screenBits.bounds.bottom)
		{
			RPPos->bottom = screenBits.bounds.bottom;
		};
*/
}

/*********************** LAllMenuChoice *********/

long int LAllMenuChoice(void)				/*	This simulates MenuChoice, but works for
												all machines */
{
	struct SysEnvRec theWorld;
	SysEnvirons(1,&theWorld);
	return (	theWorld.machineType>0)&&(theWorld.machineType<4)?
				MenuDisable:
				MenuChoice();
}