{***************************************************** Stamp FKEY 1.0 ********}
{	File:	File:	JEGXcmd2LibIntf.p	}
{	By:		Jonathan Gary		}
{	Date:	Fri, Jun 14, 1991	}
{	Purpose:	trivial routines to use in XCMD's.				}
{*****************************************************************************}

UNIT JEGXcmdLib;


INTERFACE

USES  { include the HyperCard interfaces in the XFCN/CMD }
	HyperXCmd;

FUNCTION ZeroToInt (p: XCmdPtr;
							zeroStr: Ptr): INTEGER;

FUNCTION ZeroToLong (p: XCmdPtr;
							zeroStr: Ptr): LONGINT;


FUNCTION IntToZero (p: XCmdPtr;
							theInt: INTEGER): Handle;

FUNCTION ZeroToBool (p: XCMDPtr;
							zeroStr: Ptr): BOOLEAN;

FUNCTION ZeroToExt (p: XCMDPtr;
							zeroStr: Ptr): Extended;

FUNCTION NumToZero (p: XCMDPtr;
							num: LONGINT): Handle;

FUNCTION ExtToZero (p: XCMDPtr;
							num: Extended): Handle;

FUNCTION Max (x, y: INTEGER): INTEGER;

FUNCTION Min (x, y: INTEGER): INTEGER;

FUNCTION NextNum (p: XCMDPtr;
							VAR strPtr: Ptr;
							VAR endOfStr: BOOLEAN): INTEGER;

FUNCTION BuildRgn (p: XCMDPtr;
							strH: Handle): RgnHandle;

PROCEDURE BuildRect (p: XCMDPtr;
							VAR aRect: Rect;
							strH: Handle);

PROCEDURE BuildPt (p: XCMDPtr;
							VAR aPt: Point;
							strH: Handle);

PROCEDURE ForceUpdate (aWindow: WindowPtr);

FUNCTION GetStateAndLock (VAR aHandle: UNIV Handle): SignedByte;

FUNCTION StringOf (it: UNIV longint): Str255;

FUNCTION RectToZero (p: XcmdPtr;
							r: Rect): Handle;

IMPLEMENTATION
END.