{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{$D+}

UNIT USingleSegSA;

INTERFACE

{--------------------------------------------------------------------------------------------------}

USES
	{  MacApp }
	UMacApp,

	{  Building Blocks }

	{  Required for this unit's interface }
	UAssociation,

	{  Implementation use }
	CursorCtl, Signal, PasLibIntf, IntEnv, ErrMgr, Events, OSUtils, Memory,
	Resources, Fonts, Packages, ToolUtils, Errors,

	{  Inherits from }
	UMPWTool, UMakeSAGlobals, UMakeSA, UMultiSegSA;

TYPE

	TSingleSegSA		= OBJECT (TMultiSegSA)

		PROCEDURE TSingleSegSA.ISingleSegSA(aFile: FileSpec;
										mainType: ResType;
										mainID: Integer;
										mainName: StringHandle);

		FUNCTION TSingleSegSA.WillBeMerged(theID: Integer;
										theName: Str255): BOOLEAN; OVERRIDE;
									
		PROCEDURE TSingleSegSA.CalcSegTableSize(theCount: Integer;
										hasCtorDtorJT: Boolean); OVERRIDE;

		PROCEDURE TSingleSegSA.MergeCodeSegments(saCode: Handle;
										VAR saPos: LongInt); OVERRIDE;
	END;
	
{--------------------------------------------------------------------------------------------------}

IMPLEMENTATION
	{$I USingleSegSA.incl.p}
END.