#include "systypes.r"
#include "types.r"

#include "version.r"

type 'lpra' {
		pstring;
};

resource 'lpra' (0, preload) {
	"MacTCP version " the_verstr " " the_datestr
};

resource 'vers' (1, preload) {
	the_majorver,
	the_minorver,
	the_stage,
	the_build,
	verUs,
	the_verstr,
	the_verstr " " the_datestr
};

resource 'DLOG' (256, "about", preload) {
	{67, 84, 274, 428},
	altDBoxProc,
	invisible,
	noGoAway,
	0x0,
	256,
	"About lpr"
};

resource 'DLOG' (264, preload) {
	{95, 155, 190, 330},
	altDBoxProc,
	invisible,
	noGoAway,
	0x0,
	264,
	"Save new settings?"
};

resource 'DLOG' (265, preload) {
	{71, 87, 270, 425},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	265,
	"Origin"
};

resource 'DLOG' (266, preload) {
	{37, 79, 304, 433},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	266,
	"Destination"
};

resource 'DLOG' (267, preload) {
	{29, 79, 313, 433},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	267,
	"Header page"
};

resource 'DLOG' (268, preload) {
	{33, 86, 309, 425},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	268,
	"Formatting"
};

resource 'DLOG' (269, preload) {
	{71, 87, 270, 425},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	269,
	"Printer Control"
};

resource 'DLOG' (270, preload) {
	{41, 88, 301, 424},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	270,
	"Class Help"
};

resource 'DLOG' (271, preload) {
	{29, 51, 312, 460},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	271,
	"Form Help"
};

resource 'DLOG' (273, preload) {
	{125, 165, 217, 346},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	273,
	"save userid"
};

resource 'DLOG' (274, preload) {
	{110, 87, 231, 425},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	274,
	"Printer Control"
};

resource 'DLOG' (275, preload) {
	{76, 59, 267, 453},
	zoomDocProc,
	invisible,
	-1,
	0x0,
	275,
	"lpr status"
};

resource 'DITL' (256, preload) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{166, 245, 190, 324},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 93, 24, 251},
		Picture {
			disabled,
			256
		},
		/* [3] */
		{27, 10, 94, 334},
		StaticText {
			disabled,
			"Use \"lpr\" to print a text file by sendin"
			"g it over a network connection to a host"
			"'s named printer.  The \"lpd\" daemon at t"
			"he host will queue the file, and print  "
			"it when the printer is available."
		},
		/* [4] */
		{100, 10, 117, 334},
		StaticText {
			disabled,
			""
		},
		/* [5] */
		{125, 10, 161, 334},
		StaticText {
			disabled,
			"Written by Peter DiCamillo, Brown University "
			"Computing and Information Services"
		},
		/* [6] */
		{169, 10, 186, 230},
		StaticText {
			disabled,
			""
		}
	}
};

resource 'DITL' (257, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{52, 71, 76, 127},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{19, 72, 35, 182},
		StaticText {
			disabled,
			"Out of memory!"
		}
	}
};

resource 'DITL' (258) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{82, 140, 114, 220},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 72, 74, 332},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (261) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{121, 164, 153, 244},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 72, 56, 343},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{58, 72, 107, 343},
		StaticText {
			disabled,
			"^1"
		}
	}
};

resource 'DITL' (262) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{121, 164, 153, 244},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 72, 56, 343},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{58, 72, 107, 343},
		StaticText {
			disabled,
			"^1"
		}
	}
};

resource 'DITL' (263) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{121, 164, 153, 244},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 72, 56, 343},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{58, 72, 107, 343},
		StaticText {
			disabled,
			"^1"
		}
	}
};

resource 'DITL' (264, preload) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{50, 15, 72, 75},
		Button {
			enabled,
			"YES"
		},
		/* [2] */
		{50, 95, 72, 155},
		Button {
			enabled,
			"NO"
		},
		/* [3] */
		{20, 15, 41, 150},
		StaticText {
			disabled,
			"Save new settings?"
		}
	}
};

resource 'DITL' (265, preload) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{153, 242, 179, 314},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{153, 120, 179, 218},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{153, 24, 179, 96},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 110, 29, 223},
		StaticText {
			disabled,
			"Print File Origin:"
		},
		/* [5] */
		{40, 10, 56, 90},
		StaticText {
			disabled,
			"Host name:"
		},
		/* [6] */
		{40, 100, 71, 325},
		EditText {
			enabled,
			""
		},
		/* [7] */
		{95, 10, 111, 90},
		StaticText {
			disabled,
			"User name:"
		},
		/* [8] */
		{95, 100, 126, 325},
		EditText {
			enabled,
			""
		}
	}
};

resource 'DITL' (266, preload) {
	{	/* array DITLarray: 14 elements */
		/* [1] */
		{223, 254, 249, 326},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{223, 128, 249, 226},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{223, 28, 249, 100},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 103, 29, 251},
		StaticText {
			disabled,
			"Print File Destination:"
		},
		/* [5] */
		{40, 10, 56, 106},
		StaticText {
			disabled,
			"Host name:"
		},
		/* [6] */
		{40, 116, 71, 341},
		EditText {
			enabled,
			""
		},
		/* [7] */
		{95, 10, 111, 106},
		StaticText {
			disabled,
			"Printer name:"
		},
		/* [8] */
		{95, 116, 126, 341},
		EditText {
			enabled,
			""
		},
		/* [9] */
		{148, 10, 165, 130},
		CheckBox {
			enabled,
			"IBM VM printer"
		},
		/* [10] */
		{149, 155, 166, 205},
		UserItem {
			disabled
		},
		/* [11] */
		{149, 223, 166, 323},
		EditText {
			enabled,
			""
		},
		/* [12] */
		{179, 132, 196, 212},
		UserItem {
			disabled
		},
		/* [13] */
		{179, 223, 196, 323},
		EditText {
			enabled,
			""
		},
		/* [14] */
		{178, 10, 196, 119},
		CheckBox {
			enabled,
			"New protocol"
		}
	}
};

resource 'DITL' (267, preload) {
	{	/* array DITLarray: 11 elements */
		/* [1] */
		{239, 254, 265, 326},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{239, 128, 265, 226},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{239, 28, 265, 100},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 121, 29, 234},
		StaticText {
			disabled,
			"Header Page:"
		},
		/* [5] */
		{36, 91, 53, 263},
		CheckBox {
			enabled,
			"Generate header page"
		},
		/* [6] */
		{70, 10, 86, 108},
		UserItem {
			disabled
		},
		/* [7] */
		{70, 116, 101, 341},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{125, 10, 141, 90},
		UserItem {
			disabled
		},
		/* [9] */
		{125, 116, 156, 341},
		EditText {
			enabled,
			""
		},
		/* [10] */
		{180, 10, 196, 108},
		UserItem {
			disabled
		},
		/* [11] */
		{180, 116, 211, 341},
		EditText {
			enabled,
			""
		}
	}
};

resource 'DITL' (268, preload) {
	{	/* array DITLarray: 22 elements */
		/* [1] */
		{236, 243, 262, 315},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{236, 120, 262, 218},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{236, 25, 262, 97},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 112, 29, 227},
		StaticText {
			disabled,
			"Text Formatting:"
		},
		/* [5] */
		{36, 25, 52, 78},
		RadioButton {
			enabled,
			"none"
		},
		/* [6] */
		{36, 137, 52, 202},
		RadioButton {
			enabled,
			"on Mac"
		},
		/* [7] */
		{36, 253, 52, 319},
		RadioButton {
			enabled,
			"remote"
		},
		/* [8] */
		{69, 25, 85, 61},
		UserItem {
			disabled
		},
		/* [9] */
		{70, 90, 101, 315},
		EditText {
			enabled,
			""
		},
		/* [10] */
		{118, 25, 133, 80},
		UserItem {
			disabled
		},
		/* [11] */
		{118, 90, 133, 147},
		EditText {
			enabled,
			""
		},
		/* [12] */
		{118, 157, 133, 248},
		UserItem {
			disabled
		},
		/* [13] */
		{118, 257, 133, 315},
		EditText {
			enabled,
			""
		},
		/* [14] */
		{150, 25, 165, 80},
		UserItem {
			disabled
		},
		/* [15] */
		{150, 90, 165, 147},
		EditText {
			enabled,
			""
		},
		/* [16] */
		{150, 157, 165, 248},
		UserItem {
			disabled
		},
		/* [17] */
		{150, 257, 165, 315},
		EditText {
			enabled,
			""
		},
		/* [18] */
		{182, 25, 197, 145},
		CheckBox {
			enabled,
			"Split long lines"
		},
		/* [19] */
		{206, 25, 223, 163},
		CheckBox {
			enabled,
			"Pascal formatting"
		},
		/* [20] */
		{182, 157, 197, 248},
		UserItem {
			disabled
		},
		/* [21] */
		{182, 257, 197, 315},
		EditText {
			enabled,
			""
		},
		/* [22] */
		{205, 178, 224, 319},
		CheckBox {
			enabled,
			"Duplex formatting"
		}
	}
};

resource 'DITL' (269, preload) {
	{	/* array DITLarray: 13 elements */
		/* [1] */
		{153, 242, 179, 314},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{153, 120, 179, 218},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{153, 24, 179, 96},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 115, 29, 223},
		StaticText {
			disabled,
			"Printer Control:"
		},
		/* [5] */
		{39, 15, 55, 66},
		StaticText {
			disabled,
			"Copies:"
		},
		/* [6] */
		{39, 82, 55, 114},
		EditText {
			enabled,
			""
		},
		/* [7] */
		{67, 15, 83, 123},
		StaticText {
			disabled,
			"IBM VM printer:"
		},
		/* [8] */
		{88, 34, 104, 77},
		StaticText {
			disabled,
			"Class:"
		},
		/* [9] */
		{88, 82, 104, 111},
		EditText {
			enabled,
			""
		},
		/* [10] */
		{117, 34, 133, 77},
		StaticText {
			disabled,
			"Form:"
		},
		/* [11] */
		{117, 82, 133, 184},
		EditText {
			enabled,
			""
		},
		/* [12] */
		{86, 217, 106, 296},
		Button {
			enabled,
			"Class Help"
		},
		/* [13] */
		{115, 217, 135, 296},
		Button {
			enabled,
			"Form Help"
		}
	}
};

resource 'DITL' (270, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{220, 128, 252, 208},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{5, 3, 206, 330},
		Picture {
			disabled,
			270
		}
	}
};

resource 'DITL' (271, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{252, 164, 275, 245},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{5, 6, 241, 403},
		Picture {
			disabled,
			271
		}
	}
};

resource 'DITL' (272, preload) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{63, 150, 90, 230},
		Button {
			enabled,
			"Cancel"
		},
		/* [2] */
		{63, 19, 90, 99},
		Button {
			enabled,
			"Really Quit"
		},
		/* [3] */
		{9, 74, 43, 230},
		StaticText {
			disabled,
			"The print file is still being sent to th"
			"e host."
		}
	}
};

resource 'DITL' (273, preload) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{55, 97, 81, 164},
		Button {
			enabled,
			"Yes"
		},
		/* [2] */
		{55, 15, 81, 82},
		Button {
			enabled,
			"No"
		},
		/* [3] */
		{6, 15, 41, 164},
		StaticText {
			disabled,
			"Include VM userid in settings file?"
		}
	}
};

resource 'DITL' (274, preload) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{75, 242, 101, 314},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{75, 120, 101, 218},
		Button {
			enabled,
			"Set Defaults"
		},
		/* [3] */
		{75, 24, 101, 96},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{10, 115, 29, 223},
		StaticText {
			disabled,
			"Printer Control:"
		},
		/* [5] */
		{39, 15, 55, 66},
		StaticText {
			disabled,
			"Copies:"
		},
		/* [6] */
		{39, 82, 55, 114},
		EditText {
			enabled,
			""
		}
	}
};

resource 'DITL' (275, preload) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{20, 10, 36, 108},
		StaticText {
			disabled,
			"Network:"
		},
		/* [2] */
		{20, 116, 51, 381},
		StaticText {
			disabled,
			""
		},
		/* [3] */
		{75, 10, 91, 90},
		StaticText {
			disabled,
			"Connection:"
		},
		/* [4] */
		{75, 116, 106, 381},
		StaticText {
			disabled,
			""
		},
		/* [5] */
		{130, 10, 146, 108},
		StaticText {
			disabled,
			"Printing:"
		},
		/* [6] */
		{130, 116, 161, 381},
		StaticText {
			disabled,
			""
		}
	}
};

resource 'PICT' (256, "title", preload) {
	306,
	{165, 202, 182, 360},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9800 1600 A500 C500 B601 6D00 A500 CA00"
	$"B601 6800 A500 CA00 B601 6800 0002 EB00"
	$"02EB 0002 EB00 1713 0070 0000 0700 0001"
	$"8600 0030 C000 0600 1800 0060 FF00 170C"
	$"0030 0000 0C00 0001 8600 0039 C0FE 0003"
	$"1800 0060 FF00 170F 0031 F1F8 1E1E 3F03"
	$"C7C3 C03F C787 8E3E FE3C 007C FF00 1713"
	$"0031 99C0 0C33 3801 8766 6036 CCCC C63B"
	$"1866 6676 FF00 1713 0031 9980 0C33 3001"
	$"8666 6030 C7CC 0633 1866 6066 FF00 1713"
	$"0031 9980 0C33 3001 8667 E030 CCCC 0633"
	$"1866 3C66 FF00 1713 0031 9980 0C33 3001"
	$"8666 0030 CCCC 0633 1866 0666 FF00 1610"
	$"0031 9980 0C33 3001 8666 6030 CCCC C633"
	$"18FE 66FF 0017 1300 31F1 800C 1E30 00E6"
	$"63C0 30C7 C786 330E 3C3C 66FF 0006 0200"
	$"0180 EE00 0602 0001 80EE 0002 EB00 02EB"
	$"0002 EB00 A000 83FF"
};

resource 'PICT' (270, "classinfo", preload) {
	3785,
	{25, 44, 226, 371},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9800 2A00 1900 2500 E201 7500 1900 2C00"
	$"E201 7300 1900 2C00 E201 7300 0002 D700"
	$"02D7 0002 D700 2302 000F 8EFD 0001 0630"
	$"FB00 0702 0001 0002 2000 04FC 0001 2006"
	$"FD00 0020 FD00 0004 FF00 1E02 0018 C6FD"
	$"0001 0210 FB00 0002 FE00 0302 0000 04FB"
	$"0000 02F8 0000 04FF 002B 0200 1806 FE1E"
	$"2301 C210 E222 3808 8E22 070E 0316 1E61"
	$"C38E 1C03 8F0E 1C61 C202 E70F 2262 E716"
	$"61C5 8E1C 002B 0200 1806 FE33 1402 2211"
	$"1222 4408 9122 0211 0119 2222 2444 2204"
	$"4891 FE22 0B03 0891 2223 0899 9226 4422"
	$"002B 2900 1806 1F30 3001 E211 1154 4008"
	$"9122 0211 0111 2222 03C4 2204 0891 2021"
	$"E202 0891 2222 0891 1224 4420 002B 2900"
	$"1806 331E 1E02 2211 1154 3808 9122 0211"
	$"0111 2222 0444 3E03 889F 2022 2202 0F91"
	$"2222 0F91 13E4 441C 002B 2900 1806 3303"
	$"0302 2211 1088 0408 9122 0211 0111 2222"
	$"0444 2000 4890 2022 2202 0811 2222 0811"
	$"1204 4402 002B 0200 18C6 FE33 1402 2211"
	$"1088 4408 9126 0211 0111 2222 2444 2204"
	$"4891 FE22 0B02 0891 2622 0891 1224 4422"
	$"002B 2900 0F86 1F1E 1E01 E210 E088 3807"
	$"8E1A 018E 0111 1E21 C3C3 1C03 8F0E 1C21"
	$"E202 070F 1A22 0711 11C4 431C 000E F400"
	$"0080 F600 0008 FB00 0001 F800 0FF5 0001"
	$"0880 F600 0008 FB00 0001 F800 06F5 0000"
	$"07E4 0002 D700 02D7 0002 D700 02D7 0025"
	$"0100 03FD 0008 4004 0004 0000 1000 01FD"
	$"0000 40FC 0004 0800 0180 01FE 0004 1004"
	$"6300 02FD 0024 0100 04FC 0007 0400 0400"
	$"0010 0001 FD00 0040 FC00 0408 0000 8001"
	$"FE00 0410 0021 0002 FD00 2925 000E 1C5C"
	$"1E2E C58E 1C3C 0711 38F1 1380 0711 1C58"
	$"070E 0225 871C 38F0 870F 01C5 C0F2 EC21"
	$"0E1E FD00 2925 0004 2260 1130 4644 2244"
	$"0891 1089 1100 0891 2264 0891 0226 4888"
	$"4488 8891 0226 0113 0421 1122 FD00 2925"
	$"0004 2240 1120 4444 2244 0891 1089 1100"
	$"0811 2044 0790 0224 4808 3C88 8891 0224"
	$"0112 0421 1122 FD00 2925 0004 2240 1120"
	$"4444 3E44 0891 1089 1100 0711 2044 088E"
	$"0224 4708 4488 8F91 0224 0112 0421 1F22"
	$"FD00 2925 0004 2240 1120 4444 2044 0891"
	$"1089 1100 0091 2044 0881 0224 4088 4488"
	$"8811 0224 0112 0421 1022 FD00 2925 0004"
	$"2240 1120 4444 2244 0893 1089 3100 0893"
	$"2244 0891 0264 4888 4488 8891 0224 0112"
	$"0421 1122 FD00 2A26 0004 1C40 1E20 4443"
	$"1C3C 070D 0CF0 D0C4 070D 1C44 078E 01A4"
	$"4706 3CF0 870F 01C4 00F2 0421 0E1E 40FE"
	$"0010 FD00 0010 F900 0280 0004 F600 0080"
	$"F300 10FD 0000 10F9 0002 8000 08F6 0000"
	$"80F3 0002 D700 02D7 0002 D700 02D7 0002"
	$"D700 0B07 0008 200C 2020 00C0 DF00 0B07"
	$"0008 2004 0020 0040 DF00 120E 0008 2384"
	$"61E0 3843 870E 1C38 0717 38E6 0013 0F00"
	$"0444 4422 2044 4448 9122 4408 9844 80E7"
	$"0012 0E00 0443 C422 2040 43C8 1022 4007"
	$"9044 E600 120E 0002 8444 2220 4044 470E"
	$"3E38 0890 7CE6 0012 0E00 0284 4422 2040"
	$"4440 8120 0408 9040 E600 120E 0001 0444"
	$"2220 4444 4891 2244 0890 44E6 0013 0F00"
	$"0103 C421 E038 43C7 0E1C 3807 9038 80E7"
	$"0002 D700 02D7 0002 D700 02D7 0002 D700"
	$"02D7 0002 D700 02D7 0002 D700 02D7 0002"
	$"D700 1102 0001 E3FB 0000 3CFE 0003 0200"
	$"2080 E800 0E02 0002 11FB 0000 22FC 0000"
	$"20E7 0015 0500 0201 0E1C 38FE 0008 211C"
	$"3871 763C 7187 16E9 0015 0500 0201 1122"
	$"44FE 0008 2122 4489 8222 2088 99E9 0015"
	$"0500 0201 0F20 40FE 0008 2122 4081 0222"
	$"2088 91E9 0015 0500 0201 111C 38FE 0008"
	$"213E 3881 0222 2088 91E9 0015 0500 0201"
	$"1102 04FE 0008 2120 0481 0222 2088 91E9"
	$"0015 0500 0211 1122 44FE 0008 2222 4489"
	$"0222 2088 91E9 0015 0500 01E1 0F1C 38FE"
	$"0008 3C1C 3871 023C 1887 11E9 0006 F300"
	$"0020 E600 1501 0007 FEFF 00FE FE00 007F"
	$"FDFF 00AF FEFF 0080 EA00 02D7 0002 D700"
	$"02D7 0002 D700 02D7 0002 D700 02D7 0002"
	$"D700 02D7 0002 D700 02D7 0025 FD00 0080"
	$"FD00 0C10 0010 8000 0200 3000 0C20 0030"
	$"FD00 01F1 80FE 0006 8000 0040 0004 01FD"
	$"0023 FD00 0080 FB00 0A10 8000 0200 4000"
	$"0420 0010 FE00 0201 0880 FE00 0580 0000"
	$"4000 04FC 0028 FE00 0101 40FD 001D 30E0"
	$"38B0 E01E 38E1 C444 700E 10E1 C380 0100"
	$"870E 1C01 401C 44E3 C44E 030E FE00 28FE"
	$"0001 0140 FD00 1D11 1010 C910 2244 4224"
	$"4420 1111 1224 4001 0088 9122 0140 2244"
	$"4224 4401 11FE 0028 FE00 0102 20FD 001D"
	$"1100 1089 1022 4441 E444 2010 10F2 0400"
	$"0100 8790 2002 2022 4442 2444 0110 FE00"
	$"28FE 0001 0220 FD00 1D10 E010 89F0 227C"
	$"4224 4420 1011 11C3 8001 0088 8E1C 0220"
	$"2244 4224 4401 0EFE 0027 FE00 0107 F0FD"
	$"00FE 101A 8900 2240 4224 4420 1011 1020"
	$"4001 0088 8102 07F0 2244 4224 4401 01FE"
	$"0028 FE00 0104 10FD 001D 1110 1089 1022"
	$"4442 24C4 2011 1112 2440 0108 8891 2204"
	$"1022 4C42 24C4 0111 FE00 28FE 0001 0410"
	$"FD00 1D10 E00C 88E0 1E38 41E3 4418 0E10"
	$"F1C3 8800 F087 8E1C 0410 1C34 33C3 4301"
	$"0EFE 0006 DF00 0002 FA00 06DF 0000 02FA"
	$"0002 D700 02D7 0002 D700 02D7 0002 D700"
	$"20F8 0005 4000 0026 0004 FC00 0622 0000"
	$"0400 0210 FE00 0110 01FC 0002 1000 04FF"
	$"001F F800 0540 0000 2200 04FC 0006 2000"
	$"0004 0002 10FD 0000 01FC 0002 1000 04FF"
	$"0024 F800 2058 7161 E21C 3C07 0E1C 38B9"
	$"E62C 3C0E 1C07 161C 078B B163 8071 E1C5"
	$"CE38 7170 7000 24F8 0020 6489 9222 2244"
	$"0891 2244 C222 3244 0422 0219 2204 4C11"
	$"9100 8912 2611 1089 8088 0024 F800 2044"
	$"7912 2222 4407 9020 4482 2222 4404 2202"
	$"1122 0448 1111 0089 1224 0F10 8900 8000"
	$"24F8 0020 4489 1222 3E44 0890 2044 8222"
	$"2244 0422 0211 3E04 4811 1100 8913 E411"
	$"1089 0070 0024 F800 2044 8912 2220 4408"
	$"9020 4482 2222 4404 2202 1120 0448 1111"
	$"0089 1204 1110 8900 0800 24F8 0020 4489"
	$"1222 2244 0891 2244 8222 2244 0422 0211"
	$"2204 4811 1100 8912 2411 1089 0088 0024"
	$"F800 2044 7911 E21C 3C07 8E1C 3881 E222"
	$"3C03 1C01 911C 0788 1110 C071 E1C4 0F0C"
	$"7100 7000 0EEB 0000 04FC 0000 04FD 0000"
	$"01F9 000E EB00 0044 FC00 0004 FD00 0001"
	$"F900 06EB 0000 38EE 0002 D700 02D7 0002"
	$"D700 02D7 000B F800 0104 40FE 0000 41E6"
	$"000A F800 0004 FD00 0040 E600 0DF8 0007"
	$"3CC3 8717 38E3 0E2C E800 0DF8 0007 4444"
	$"4898 4441 1132 E800 0DF8 0007 4444 0810"
	$"4441 1122 E800 0DF8 0007 4443 8810 7C41"
	$"1122 E800 0DF8 0007 4440 4810 4041 1122"
	$"E800 0DF8 0007 4444 4890 4441 1122 E800"
	$"0EF8 0008 3C43 8710 3831 0E22 40E9 0002"
	$"D700 02D7 0002 D700 02D7 0002 D700 02D7"
	$"0002 D700 1BFE 0001 03C0 FD00 0220 0018"
	$"FD00 0A02 0000 6000 4000 0100 0010 F200"
	$"19FE 0001 0420 FB00 0020 FD00 0A02 0000"
	$"2000 4000 0100 0010 F200 1BFE 0000 04FC"
	$"0011 61C0 70E2 E089 61C7 0E3C 21C3 C071"
	$"138F 1138 F200 1BFE 0000 04FC 0011 2220"
	$"2113 0089 9222 1122 2224 4089 1108 9110"
	$"F200 1BFE 0000 04FC 0011 2200 2112 0089"
	$"1202 0F22 2224 4089 1108 9110 F200 1BFE"
	$"0000 04FC 0011 21C0 2112 0089 11C2 1122"
	$"23E4 4089 1108 9110 F200 1BFE 0000 04FC"
	$"0011 2020 2112 0089 1022 1122 2204 4089"
	$"1108 9110 F200 1CFE 0001 0420 FD00 1122"
	$"2021 1200 9912 2211 2222 2440 8931 0893"
	$"10F2 001D FE00 0103 C0FD 0012 21C0 20E2"
	$"0069 11C1 8F3C 21C3 C070 D0CF 0D0C 80F3"
	$"000A EF00 0020 FC00 0008 F000 0AEF 0000"
	$"20FC 0000 08F0 0002 D700 02D7 0002 D700"
	$"02D7 0002 D700 29FE 0001 0780 FD00 1E20"
	$"0018 0000 0802 3180 0100 0004 0000 4000"
	$"0021 0800 0100 0030 8000 0002 0084 FF00"
	$"27FE 0001 0440 FB00 1620 0000 0800 1080"
	$"0100 0004 0000 4000 0001 0800 0100 0010"
	$"FE00 0202 0084 FF00 29FE 0001 0420 FD00"
	$"2061 C070 E2E0 7976 1087 0F01 C44E 3C44"
	$"E002 2263 8B00 E387 1E11 8B0F 01C7 01C5"
	$"8700 29FE 0001 0420 FD00 2022 2021 1300"
	$"8982 1088 9102 2444 2244 4002 2221 0C81"
	$"1108 9110 8C91 0222 0086 4880 29FE 0001"
	$"0420 FD00 2022 0021 1200 8902 1088 9102"
	$"2444 2244 4001 5421 0881 0107 9110 8891"
	$"01E2 0084 4880 29FE 0001 0420 FD00 2021"
	$"C021 1200 8902 108F 9102 2444 2244 4001"
	$"5421 0880 E108 9110 8891 0222 0084 4F80"
	$"29FE 0001 0420 FD00 2020 2021 1200 8902"
	$"1088 1102 2444 2244 4000 8821 0880 1108"
	$"9110 8891 0222 0084 4800 29FE 0001 0440"
	$"FD00 2022 2021 1200 8902 1088 9102 24C4"
	$"224C 4000 8821 0881 1108 9110 8891 0222"
	$"0084 4880 29FE 0001 0780 FD00 2021 C020"
	$"E200 7902 1087 0F01 C343 3C34 3100 8820"
	$"C880 E0C7 9E10 888F 01E1 8064 4700 0FEB"
	$"0002 2000 01FA 0003 1000 0001 FB00 0FEB"
	$"0002 2000 02FA 0003 1000 0011 FB00 06DE"
	$"0000 0EFB 0002 D700 02D7 0002 D700 02D7"
	$"0010 F400 0508 0002 0000 88FE 0001 0820"
	$"EF00 0FF4 0005 0800 0200 0080 FE00 0008"
	$"EE00 16F8 0010 38F0 E2E7 1C38 B838 0798"
	$"70E2 E71C 61C5 80F1 0016 F800 1044 8913"
	$"0888 44C0 4408 8889 1308 8822 2640 F100"
	$"16F8 0010 4489 1207 8844 8040 0888 8102"
	$"0888 2224 40F1 0016 F800 1044 89F2 0888"
	$"4480 3808 8871 020F 8822 2440 F100 16F8"
	$"0010 4489 0208 8844 8004 0888 0902 0808"
	$"2224 40F1 0016 F800 1044 8912 0888 4480"
	$"4408 8889 1208 8822 2440 F100 16F8 0010"
	$"38F0 E207 8638 8038 0788 70E2 0706 21C4"
	$"48F1 0006 F700 0080 E200 06F7 0000 80E2"
	$"0002 D700 02D7 0002 D700 02D7 0002 D700"
	$"21FE 0001 07C0 FD00 0240 0030 FD00 1004"
	$"0000 C000 8010 0463 0002 0000 0800 0080"
	$"F800 1EFE 0000 04FA 0000 40FD 0010 0400"
	$"0040 0080 1000 2100 0200 0008 0000 80F8"
	$"0021 FE00 0004 FC00 17C3 80E1 C5C1 12C3"
	$"8E1C 7843 8780 F2EC 210E 1E03 889C 7889"
	$"C0F8 0021 FE00 0004 FC00 1744 4042 2601"
	$"1324 4422 4444 4881 1304 2111 2204 4888"
	$"4488 80F8 0022 FE00 0107 80FD 0017 4400"
	$"4224 0112 2404 1E44 4448 8112 0421 1122"
	$"0448 8844 8880 F800 21FE 0000 04FC 0017"
	$"4380 4224 0112 2384 2244 47C8 8112 0421"
	$"1F22 0448 8844 8880 F800 21FE 0000 04FC"
	$"0017 4040 4224 0112 2044 2244 4408 8112"
	$"0421 1022 0448 8844 8880 F800 21FE 0000"
	$"04FC 0017 4440 4224 0132 2444 2244 4448"
	$"8112 0421 1122 0449 8844 9880 F800 22FE"
	$"0001 07C0 FD00 1743 8041 C400 D223 831E"
	$"7843 8780 F204 210E 1E03 8686 7868 64F8"
	$"000A EF00 0040 F600 0040 F600 0AEF 0000"
	$"40F6 0000 40F6 0002 D700 02D7 0002 D700"
	$"02D7 0002 D700 15FE 0001 07C0 FD00 0240"
	$"0042 F800 0006 FE00 0002 F100 12FE 0000"
	$"04FA 0000 42F8 0000 02FE 0000 02F1 001A"
	$"FE00 0004 FC00 10C3 80E2 C380 70E2 CC38"
	$"070E 01C2 1C38 7005 F100 1AFE 0000 04FC"
	$"0010 4440 4324 4089 1332 4408 9102 2222"
	$"4488 05F1 001C FE00 0107 80FD 0011 4400"
	$"4224 4080 F222 4407 9002 021E 4080 0880"
	$"F200 1BFE 0000 04FC 0011 4380 4227 C071"
	$"1222 7C08 8E02 0222 3870 0880 F200 1BFE"
	$"0000 04FC 0011 4040 4224 0009 1222 4008"
	$"8102 0222 0408 1FC0 F200 1BFE 0000 04FC"
	$"0011 4440 4224 4089 1222 4408 9102 2222"
	$"4488 1040 F200 1BFE 0000 04FC 0011 4380"
	$"3223 8070 F222 3807 8E01 C21E 3870 1048"
	$"F200 02D7 0002 D700 02D7 00A0 0083 FFF0"
};

resource 'PICT' (271, "forminfo", preload) {
	6309,
	{36, 19, 272, 416},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9800 3400 2400 0D01 1001 A500 2400 1301"
	$"1001 A000 2400 1301 1001 A000 0002 CD00"
	$"02CD 0002 CD00 02CD 0025 0800 2020 0200"
	$"0204 0018 F500 00C0 FD00 0108 06FD 0006"
	$"0300 0008 4000 11FC 0002 0100 10FC 0023"
	$"0800 2000 0200 0204 0008 F500 0040 FD00"
	$"0108 08FD 0006 0400 0008 4000 11FA 0000"
	$"10FC 0035 3100 2061 C70E 1E07 8708 7111"
	$"01C5 CE01 C38B 3166 1C58 4440 111C 3878"
	$"1C38 BACC 380E 1C5C 1C58 700A 1C5C E220"
	$"78BB 1638 7173 80FF 0035 3100 2022 2211"
	$"2204 4888 8911 0226 1102 244C C999 2264"
	$"4440 1122 4488 0844 C332 4404 2260 0864"
	$"880A 2261 1220 44C1 1910 8984 48FF 0034"
	$"3000 2022 0211 2204 4888 88AA 01E4 1102"
	$"0448 8911 2244 444F 9120 4488 0844 8222"
	$"4004 2240 0844 8804 2241 1140 4481 1110"
	$"8904 FE00 3531 0020 21C2 1F22 044F 8888"
	$"AA02 241F 0204 4889 1122 4444 4011 1C7C"
	$"8808 4482 2238 0422 4008 44F8 0A3E 4110"
	$"8044 8111 10F9 0380 FF00 3531 0020 2022"
	$"1022 0448 0888 4402 2410 0204 4889 1122"
	$"4444 4011 0240 8808 4482 2204 0422 4008"
	$"4480 0A20 4111 4044 8111 1081 0040 FF00"
	$"3531 0020 2222 1122 0448 8888 4402 2411"
	$"0224 4889 1122 4444 4013 2244 8808 4482"
	$"2244 0422 4008 4488 1122 4112 2044 8111"
	$"1089 0440 FF00 3531 003E 21C1 8E1E 0787"
	$"0870 4401 E40E 01C3 8889 111C 4443 C00D"
	$"1C38 7808 3882 2238 041C 4006 4470 111C"
	$"40E2 2078 8111 0C71 0388 FF00 0AEB 0000"
	$"40ED 0000 40F9 000B EC00 0104 40ED 0000"
	$"40F9 0007 EC00 0103 80E4 0002 CD00 02CD"
	$"0002 CD00 02CD 0002 CD00 06E7 0000 04E8"
	$"002A 0200 07C0 F800 06F0 0200 0040 0208"
	$"FD00 063C 2000 04F0 0003 FB00 0C07 8F84"
	$"0002 0003 1008 2000 0020 FE00 2601 0004"
	$"F800 0101 08FE 0001 4002 FC00 0642 0000"
	$"0888 0001 FB00 0908 4844 0002 0004 100C"
	$"60FB 0032 0500 0407 1759 80FC 0014 0109"
	$"761C 58E1 C718 7160 0000 4062 CC08 8489"
	$"E10E 22FD 000D 0808 4400 0203 8E38 0AA3"
	$"8B9E 62C0 FF00 3205 0004 0898 6640 FC00"
	$"1401 0982 2264 4222 0889 9000 0040 2332"
	$"1084 8911 1122 FD00 0D08 0844 0002 0444"
	$"1009 244C 2223 20FF 0032 0500 0788 9044"
	$"40FC 0014 0109 0222 4441 E208 8910 0000"
	$"3C22 2210 8489 1111 14FD 000D 080F 8400"
	$"0204 4410 0823 C822 2220 FF00 3205 0004"
	$"0890 4440 FC00 1401 0902 3E44 4222 0889"
	$"1000 0002 2222 2084 8911 1F08 FD00 0D08"
	$"0804 0002 07C4 1008 2448 2222 20FF 0032"
	$"0500 0408 9044 40FC 0014 0109 0220 4442"
	$"2208 8910 0000 0222 2220 8489 1110 14FD"
	$"000D 0808 0400 0204 0410 0824 4822 2220"
	$"FF00 3205 0004 0890 4440 FC00 1401 0902"
	$"2244 4222 0889 1000 0042 2222 4088 9911"
	$"1122 FD00 0D08 4804 0002 0444 1008 2448"
	$"2222 20FF 0031 0500 0407 1044 40FB 0013"
	$"F102 1C44 31E1 8871 1000 003C 2222 40F0"
	$"69E1 0E22 FD00 0D07 8804 0003 E384 0C08"
	$"23C8 1E22 20FF 000A E500 0001 EF00 0002"
	$"FD00 2801 000F FEFF 00E0 FC00 0003 F9FF"
	$"02F8 0000 FCFF 03FD 7FFF FFFD 0004 1FFF"
	$"FF00 07FB FF02 A2FF F0FF 0006 D200 001C"
	$"FD00 02CD 0002 CD00 02CD 0002 CD00 02CD"
	$"0002 CD00 02CD 0002 CD00 02CD 0002 CD00"
	$"250F 0001 E7F0 4189 E020 F8F0 0000 0800"
	$"0004 FA00 02F0 0003 F600 0140 10FE 0003"
	$"01F9 F808 FB00 220F 0002 1080 4189 1020"
	$"8488 0000 0800 0004 FA00 0288 0001 F600"
	$"01C0 30FD 0000 09F9 002B 1300 0200 80A1"
	$"4908 5084 8400 0008 0E2C 3C70 E1C7 87FE"
	$"0004 8489 E10E 22F8 0001 4050 FD00 0311"
	$"0018 B0FC 002B 1B00 0200 80A1 4908 5084"
	$"8400 0008 1132 4489 1224 4880 0000 8489"
	$"1111 22F8 0001 4090 FD00 0311 F008 C8FC"
	$"002B 1B00 01E0 8111 2908 88F8 8400 0008"
	$"0F22 4481 01E4 4880 0000 8489 1111 14F8"
	$"0001 4110 FD00 0320 0808 88FC 002B 1B00"
	$"0010 8111 2908 88A0 8400 0008 1122 4471"
	$"0224 4F80 0000 8489 111F 08F8 0001 4210"
	$"FD00 0320 0808 88FC 002B 1300 0010 83F9"
	$"1909 FC90 8400 0008 1122 4409 0224 48FE"
	$"0004 8489 1110 14F8 0001 43F8 FD00 0340"
	$"0808 88FC 002B 1B00 0210 8209 1911 0488"
	$"8800 0008 1122 4489 1224 4880 0000 8899"
	$"1111 22F8 0001 4010 FD00 0341 0808 88FC"
	$"002C 1300 01E0 8209 09E1 0484 F000 000F"
	$"8F22 3C70 E1E7 87FE 0004 F069 E10E 22F8"
	$"0001 4010 FE00 0408 40F0 0889 FC00 0AEF"
	$"0000 04FC 0000 01E6 000A EF00 0004 FC00"
	$"0001 E600 02CD 0002 CD00 02CD 0002 CD00"
	$"02CD 0025 0F00 01E7 F3C0 01E7 F3C3 C000"
	$"0008 0000 04FA 0002 F000 03F6 0001 4010"
	$"FE00 0301 F9F8 08FB 0022 0F00 0210 8220"
	$"0210 8222 2000 0008 0000 04FA 0002 8800"
	$"01F6 0001 C030 FD00 0009 F900 2B13 0002"
	$"0082 1002 0082 1210 0000 080E 2C3C 70E1"
	$"C787 FE00 0484 89E1 0E22 F800 0140 50FD"
	$"0003 1100 18B0 FC00 2B1B 0002 0082 1002"
	$"0082 1210 0000 0811 3244 8912 2448 8000"
	$"0084 8911 1122 F800 0140 90FD 0003 11F0"
	$"08C8 FC00 2B1B 0001 E082 1001 E082 1210"
	$"0000 080F 2244 8101 E448 8000 0084 8911"
	$"1114 F800 0141 10FD 0003 2008 0888 FC00"
	$"2B1B 0000 1082 1000 1082 1210 0000 0811"
	$"2244 7102 244F 8000 0084 8911 1F08 F800"
	$"0142 10FD 0003 2008 0888 FC00 2B13 0000"
	$"1082 1000 1082 1210 0000 0811 2244 0902"
	$"2448 FE00 0484 8911 1014 F800 0143 F8FD"
	$"0003 4008 0888 FC00 2B1B 0002 1082 2002"
	$"1082 2220 0000 0811 2244 8912 2448 8000"
	$"0088 9911 1122 F800 0140 10FD 0003 4108"
	$"0888 FC00 2C13 0001 E083 C101 E083 C3C0"
	$"0000 0F8F 223C 70E1 E787 FE00 04F0 69E1"
	$"0E22 F800 0140 10FE 0004 0840 F008 89FC"
	$"000E FD00 0001 F400 0004 FC00 0001 E600"
	$"0EFD 0000 02F4 0000 04FC 0000 01E6 0002"
	$"CD00 02CD 0002 CD00 02CD 0002 CD00 2405"
	$"0001 E7F3 C1E0 FB00 0308 0000 04FA 0004"
	$"7840 0001 80F8 0001 4010 FE00 0301 F9F8"
	$"08FB 0021 0500 0210 8222 10FB 0003 0800"
	$"0004 FA00 0084 FE00 0080 F800 01C0 30FD"
	$"0000 09F9 0028 0400 0200 8212 FA00 0708"
	$"0E2C 3C70 E1C7 87FE 0005 80C5 98F0 8711"
	$"F900 0140 50FD 0003 1100 18B0 FC00 2804"
	$"0002 0082 12FA 0010 0811 3244 8912 2448"
	$"8000 0080 4664 8888 91F9 0001 4090 FD00"
	$"0311 F008 C8FC 0029 0500 01E0 8211 E0FB"
	$"0010 080F 2244 8101 E448 8000 0078 4444"
	$"8888 8AF9 0001 4110 FD00 0320 0808 88FC"
	$"0029 0500 0010 8210 10FB 0010 0811 2244"
	$"7102 244F 8000 0004 4444 888F 84F9 0001"
	$"4210 FD00 0320 0808 88FC 0029 0500 0010"
	$"8210 10FB 0007 0811 2244 0902 2448 FE00"
	$"0504 4444 8888 0AF9 0001 43F8 FD00 0340"
	$"0808 88FC 0029 0500 0210 8222 10FB 0010"
	$"0811 2244 8912 2448 8000 0084 4444 8888"
	$"91F9 0001 4010 FD00 0341 0808 88FC 002A"
	$"0500 01E0 83C1 E0FB 0007 0F8F 223C 70E1"
	$"E787 FE00 0578 4444 F087 11F9 0001 4010"
	$"FE00 0408 40F0 0889 FC00 0AEF 0000 04FA"
	$"0000 80E8 000A EF00 0004 FA00 0080 E800"
	$"02CD 0002 CD00 02CD 0002 CD00 02CD 0029"
	$"0800 0312 0200 3120 23C0 FE00 061F 0000"
	$"4000 0840 FD00 0478 4000 0180 F800 0140"
	$"C0FE 0002 0300 40FA 0028 0800 0312 0200"
	$"3120 2420 FE00 0610 8000 4000 0040 FD00"
	$"0084 FE00 0080 F800 01C1 20FE 0001 0480"
	$"F900 2A07 0002 9222 0029 2224 FD00 0610"
	$"8E2E E2E7 18E0 FD00 0580 C598 F087 11F9"
	$"0001 4210 FE00 0308 40C5 80FB 002A 0700"
	$"0291 2400 2912 44FD 0006 1091 3043 0888"
	$"40FD 0005 8046 6488 8891 F900 0142 10FE"
	$"0003 0840 4640 FB00 2B08 0002 5154 0025"
	$"1543 C0FE 0006 1F11 2042 0788 40FD 0005"
	$"7844 4488 888A F900 0142 10FE 0003 0840"
	$"4440 FB00 2B08 0002 5154 0025 1540 20FE"
	$"0006 1011 2042 0888 40FD 0005 0444 4488"
	$"8F84 F900 0142 10FE 0003 0840 4440 FB00"
	$"2B08 0002 3088 0023 0880 20FE 0006 1011"
	$"2042 0888 40FD 0005 0444 4488 880A F900"
	$"0142 10FE 0003 0840 4440 FB00 2B08 0002"
	$"3088 0023 0884 20FE 0006 1011 2042 0888"
	$"40FD 0005 8444 4488 8891 F900 0141 20FE"
	$"0003 0480 4440 FB00 2B08 0002 1088 1021"
	$"0883 C0FE 0006 100E 2032 0788 30FD 0005"
	$"7844 44F0 8711 F900 0140 C0FE 0003 0300"
	$"4448 FB00 0AFD 0000 10EC 0000 80E8 000A"
	$"FD00 0020 EC00 0080 E800 02CD 0002 CD00"
	$"02CD 0002 CD00 02CD 0023 0400 0312 0278"
	$"FA00 061F 0000 4000 0840 FD00 02F0 0003"
	$"F600 0140 C0FE 0002 0300 40FA 0022 0400"
	$"0312 0244 FA00 0610 8000 4000 0040 FD00"
	$"0288 0001 F600 01C1 20FE 0001 0480 F900"
	$"2604 0002 9222 42FA 0006 108E 2EE2 E718"
	$"E0FD 0004 8489 E10E 22F8 0001 4210 FE00"
	$"0308 40C5 80FB 0026 0400 0291 2442 FA00"
	$"0610 9130 4308 8840 FD00 0484 8911 1122"
	$"F800 0142 10FE 0003 0840 4640 FB00 2604"
	$"0002 5154 42FA 0006 1F11 2042 0788 40FD"
	$"0004 8489 1111 14F8 0001 4210 FE00 0308"
	$"4044 40FB 0026 0400 0251 5442 FA00 0610"
	$"1120 4208 8840 FD00 0484 8911 1F08 F800"
	$"0142 10FE 0003 0840 4440 FB00 2604 0002"
	$"3088 42FA 0006 1011 2042 0888 40FD 0004"
	$"8489 1110 14F8 0001 4210 FE00 0308 4044"
	$"40FB 0026 0400 0230 8844 FA00 0610 1120"
	$"4208 8840 FD00 0488 9911 1122 F800 0141"
	$"20FE 0003 0480 4440 FB00 2604 0002 1088"
	$"78FA 0006 100E 2032 0788 30FD 0004 F069"
	$"E10E 22F8 0001 40C0 FE00 0303 0044 48FB"
	$"0006 E900 0001 E600 06E9 0000 01E6 0002"
	$"CD00 02CD 0002 CD00 02CD 0002 CD00 2807"
	$"0003 11E0 0311 E1E0 FD00 061F 0000 4000"
	$"0840 FD00 0478 4000 0180 F800 0140 C0FE"
	$"0002 0100 40FA 0026 0700 0312 1003 1212"
	$"10FD 0006 1080 0040 0000 40FD 0000 84FE"
	$"0000 80F8 0001 C120 FE00 0003 F800 2906"
	$"0002 9200 0292 02FC 0006 108E 2EE2 E718"
	$"E0FD 0005 80C5 98F0 8711 F900 0142 10FE"
	$"0003 0100 C580 FB00 2906 0002 9200 0292"
	$"02FC 0006 1091 3043 0888 40FD 0005 8046"
	$"6488 8891 F900 0142 10FE 0003 0100 4640"
	$"FB00 2A07 0002 5200 0252 01E0 FD00 061F"
	$"1120 4207 8840 FD00 0578 4444 8888 8AF9"
	$"0001 4210 FE00 0301 0044 40FB 002A 0700"
	$"0252 0002 5200 10FD 0006 1011 2042 0888"
	$"40FD 0005 0444 4488 8F84 F900 0142 10FE"
	$"0003 0100 4440 FB00 2A07 0002 3200 0232"
	$"0010 FD00 0610 1120 4208 8840 FD00 0504"
	$"4444 8888 0AF9 0001 4210 FE00 0301 0044"
	$"40FB 002A 0700 0232 1002 3212 10FD 0006"
	$"1011 2042 0888 40FD 0005 8444 4488 8891"
	$"F900 0141 20FE 0003 0100 4440 FB00 2A07"
	$"0002 11E1 0211 E1E0 FD00 0610 0E20 3207"
	$"8830 FD00 0578 4444 F087 11F9 0001 40C0"
	$"FE00 0301 0044 48FB 000A FE00 0001 EB00"
	$"0080 E800 0AFE 0000 02EB 0000 80E8 0002"
	$"CD00 02CD 0002 CD00 02CD 0002 CD00 2304"
	$"0003 11E3 C0FA 0006 1F00 0040 0008 40FD"
	$"0002 F000 03F6 0001 40C0 FE00 0201 0040"
	$"FA00 2104 0003 1212 20FA 0006 1080 0040"
	$"0000 40FD 0002 8800 01F6 0001 C120 FE00"
	$"0003 F800 2604 0002 9202 10FA 0006 108E"
	$"2EE2 E718 E0FD 0004 8489 E10E 22F8 0001"
	$"4210 FE00 0301 00C5 80FB 0026 0400 0292"
	$"0210 FA00 0610 9130 4308 8840 FD00 0484"
	$"8911 1122 F800 0142 10FE 0003 0100 4640"
	$"FB00 2604 0002 5202 10FA 0006 1F11 2042"
	$"0788 40FD 0004 8489 1111 14F8 0001 4210"
	$"FE00 0301 0044 40FB 0026 0400 0252 0210"
	$"FA00 0610 1120 4208 8840 FD00 0484 8911"
	$"1F08 F800 0142 10FE 0003 0100 4440 FB00"
	$"2604 0002 3202 10FA 0006 1011 2042 0888"
	$"40FD 0004 8489 1110 14F8 0001 4210 FE00"
	$"0301 0044 40FB 0026 0400 0232 1220 FA00"
	$"0610 1120 4208 8840 FD00 0488 9911 1122"
	$"F800 0141 20FE 0003 0100 4440 FB00 2604"
	$"0002 11E3 C0FA 0006 100E 2032 0788 30FD"
	$"0004 F069 E10E 22F8 0001 40C0 FE00 0301"
	$"0044 48FB 0006 E900 0001 E600 06E9 0000"
	$"01E6 0002 CD00 02CD 0002 CD00 02CD 0002"
	$"CD00 2B07 0000 E3E0 00E3 E1E0 FD00 061F"
	$"0000 4000 0840 FD00 0778 4000 0180 0000"
	$"0EFB 0001 41E0 FD00 0238 3804 FB00 2A07"
	$"0001 1210 0112 1210 FD00 0610 8000 4000"
	$"0040 FD00 0084 FE00 0380 0000 11FB 0001"
	$"C210 FD00 0140 40FA 002E 0600 0212 1002"
	$"1212 FC00 0610 8E2E E2E7 18E0 FD00 0F80"
	$"C598 F087 1100 2103 C387 8E1C 0042 10FD"
	$"0003 8080 0C58 FC00 2E06 0000 1210 0012"
	$"12FC 0006 1091 3043 0888 40FD 000F 8046"
	$"6488 8891 0001 0224 4891 2200 41E0 FD00"
	$"03F8 F804 64FC 002F 0700 0023 E000 23E1"
	$"E0FD 0006 1F11 2042 0788 40FD 000F 7844"
	$"4488 888A 0002 0223 C891 2000 4210 FD00"
	$"0384 8404 44FC 002F 0700 0042 0000 4200"
	$"10FD 0006 1011 2042 0888 40FD 000F 0444"
	$"4488 8F84 0004 0224 489F 1C00 4210 FD00"
	$"0384 8404 44FC 002F 0700 0082 0000 8200"
	$"10FD 0006 1011 2042 0888 40FD 000F 0444"
	$"4488 880A 0008 0224 4890 0200 4210 FD00"
	$"0384 8404 44FC 002F 0700 0102 0001 0202"
	$"10FD 0006 1011 2042 0888 40FD 000F 8444"
	$"4488 8891 0010 0224 4891 2200 4210 FD00"
	$"0384 8404 44FC 0031 0700 03F2 0103 F201"
	$"E0FD 0006 100E 2032 0788 30FD 000F 7844"
	$"44F0 8711 103F 03C3 C78E 1C00 41E0 FE00"
	$"0504 7878 0444 80FD 0012 FE00 0001 EB00"
	$"0880 0000 1000 0200 0080 F000 12FE 0000"
	$"02EB 0008 8000 0020 0002 0008 80F0 0006"
	$"E000 0007 EF00 02CD 0002 CD00 02CD 0002"
	$"CD00 2704 0001 C7C7 80FA 0006 3E00 0080"
	$"0010 80FD 0002 F000 03FE 0000 1CFA 0001"
	$"41E0 FD00 0238 3804 FB00 2604 0002 2424"
	$"40FA 0006 2100 0080 0000 80FD 0002 8800"
	$"01FE 0000 22FA 0001 C210 FD00 0140 40FA"
	$"002C 0400 0424 2420 FA00 0621 1C5D C5CE"
	$"31C0 FD00 0F84 89E1 0E22 0042 0787 0F1C"
	$"3800 0042 10FD 0003 8080 0C58 FC00 2C04"
	$"0000 2424 20FA 0006 2122 6086 1110 80FD"
	$"000F 8489 1111 2200 0204 4891 2244 0000"
	$"41E0 FD00 03F8 F804 64FC 002C 0400 0047"
	$"C420 FA00 063E 2240 840F 1080 FD00 0F84"
	$"8911 1114 0004 0447 9122 4000 0042 10FD"
	$"0003 8484 0444 FC00 2C04 0000 8404 20FA"
	$"0006 2022 4084 1110 80FD 000F 8489 111F"
	$"0800 0804 4891 3E38 0000 4210 FD00 0384"
	$"8404 44FC 002C 0400 0104 0420 FA00 0620"
	$"2240 8411 1080 FD00 0F84 8911 1014 0010"
	$"0448 9120 0400 0042 10FD 0003 8484 0444"
	$"FC00 2C04 0002 0404 40FA 0006 2022 4084"
	$"1110 80FD 000F 8899 1111 2200 2004 4891"
	$"2244 0000 4210 FD00 0384 8404 44FC 002E"
	$"0400 07E4 0780 FA00 0620 1C40 640F 1060"
	$"FD00 0FF0 69E1 0E22 207E 0787 8F1C 3800"
	$"0041 E0FE 0005 0478 7804 4480 FD00 0EE9"
	$"0000 01FE 0004 2000 0400 01EE 000E E900"
	$"0001 FE00 0440 0004 0011 EE00 06E1 0000"
	$"0EEE 0002 CD00 02CD 0002 CD00 02CD 0026"
	$"0600 01C4 0003 881E FC00 0320 0000 10FA"
	$"0002 F000 03FE 0000 1CFA 0001 41E0 FD00"
	$"0238 3804 FB00 2506 0002 2400 0448 11FC"
	$"0003 2000 0010 FA00 0288 0001 FE00 0022"
	$"FA00 01C2 10FD 0001 4040 FA00 3007 0004"
	$"2400 0848 1080 FD00 0720 38B0 F1C3 871E"
	$"1CFE 000F 8489 E10E 2200 4207 870F 1C38"
	$"0000 4210 FD00 0380 800C 58FC 0030 0700"
	$"0024 0000 4810 80FD 0007 2044 C912 2448"
	$"9122 FE00 0F84 8911 1122 0002 0448 9122"
	$"4400 0041 E0FD 0003 F8F8 0464 FC00 3007"
	$"0000 4400 0088 1080 FD00 0720 3C89 1204"
	$"0791 22FE 000F 8489 1111 1400 0404 4791"
	$"2240 0000 4210 FD00 0384 8404 44FC 0030"
	$"0700 0084 0001 0810 80FD 0007 2044 8911"
	$"C408 913E FE00 0F84 8911 1F08 0008 0448"
	$"913E 3800 0042 10FD 0003 8484 0444 FC00"
	$"3007 0001 0400 0208 1080 FD00 0720 4489"
	$"1024 0891 20FE 000F 8489 1110 1400 1004"
	$"4891 2004 0000 4210 FD00 0384 8404 44FC"
	$"002F 0600 0204 0004 0811 FC00 0720 4489"
	$"1224 4891 22FE 000F 8899 1111 2200 2004"
	$"4891 2244 0000 4210 FD00 0384 8404 44FC"
	$"0031 0600 07E7 C40F CF9E FC00 073E 3C88"
	$"F1C3 879E 1CFE 000F F069 E10E 2220 7E07"
	$"878F 1C38 0000 41E0 FE00 0504 7878 0444"
	$"80FD 0016 FE00 0004 F300 0010 FC00 0001"
	$"FE00 0420 0004 0001 EE00 16FE 0000 08F3"
	$"0000 10FC 0000 01FE 0004 4000 0400 11EE"
	$"0006 E100 000E EE00 02CD 0002 CD00 02CD"
	$"0002 CD00 2504 0001 C407 80FA 0003 2000"
	$"0010 FA00 0778 4000 0180 0000 0EFB 0001"
	$"41E0 FD00 0238 3804 FB00 2404 0002 2408"
	$"40FA 0003 2000 0010 FA00 0084 FE00 0380"
	$"0000 11FB 0001 C210 FD00 0140 40FA 002C"
	$"0300 0424 08F9 0007 2038 B0F1 C387 1E1C"
	$"FE00 0F80 C598 F087 1100 2103 C387 8E1C"
	$"0042 10FD 0003 8080 0C58 FC00 2C03 0000"
	$"2408 F900 0720 44C9 1224 4891 22FE 000F"
	$"8046 6488 8891 0001 0224 4891 2200 41E0"
	$"FD00 03F8 F804 64FC 002D 0400 0044 0780"
	$"FA00 0720 3C89 1204 0791 22FE 000F 7844"
	$"4488 888A 0002 0223 C891 2000 4210 FD00"
	$"0384 8404 44FC 002D 0400 0084 0040 FA00"
	$"0720 4489 11C4 0891 3EFE 000F 0444 4488"
	$"8F84 0004 0224 489F 1C00 4210 FD00 0384"
	$"8404 44FC 002D 0400 0104 0040 FA00 0720"
	$"4489 1024 0891 20FE 000F 0444 4488 880A"
	$"0008 0224 4890 0200 4210 FD00 0384 8404"
	$"44FC 002D 0400 0204 0840 FA00 0720 4489"
	$"1224 4891 22FE 000F 8444 4488 8891 0010"
	$"0224 4891 2200 4210 FD00 0384 8404 44FC"
	$"002F 0400 07E7 C780 FA00 073E 3C88 F1C3"
	$"879E 1CFE 000F 7844 44F0 8711 103F 03C3"
	$"C78E 1C00 41E0 FE00 0504 7878 0444 80FD"
	$"0012 EF00 0010 FA00 0880 0000 1000 0200"
	$"0080 F000 12EF 0000 10FA 0008 8000 0020"
	$"0002 0008 80F0 0006 E000 0007 EF00 02CD"
	$"0002 CD00 02CD 0002 CD00 02CD 0031 0C00"
	$"0420 0001 8901 040E 0100 0006 FD00 030C"
	$"0C48 08FE 0007 C478 1038 0400 0018 FD00"
	$"0B30 311E 00C0 0000 81C0 3C7C 20FD 0031"
	$"0800 0420 0001 8901 0C11 FE00 0002 FD00"
	$"0310 0C48 08FE 0003 C484 3044 FE00 0008"
	$"FD00 0B40 3121 0100 0001 8220 4242 20FD"
	$"0033 2F00 0423 8701 4911 0421 0316 03C2"
	$"1C38 700E 380A 4888 00E2 E0A4 8010 840C"
	$"580F 0870 E1C0 38E0 2920 0387 1700 8420"
	$"4042 20FD 0033 2F00 0424 4881 4892 0401"
	$"0119 0222 2244 8811 100A 4490 0113 00A4"
	$"8010 0404 6408 8889 1220 4440 2920 0108"
	$"9800 8020 4042 20FD 0033 2F00 0424 0881"
	$"28AA 0402 0111 0222 1E40 8811 1009 4550"
	$"0112 0094 8010 0804 4408 8879 0220 4440"
	$"2520 0108 9000 8040 407C 20FD 0033 2F00"
	$"0423 8F81 28AA 0404 0111 0222 2240 F811"
	$"1009 4550 0112 0094 8010 1004 4408 8889"
	$"03E0 4440 2520 0108 9000 8080 4040 20FD"
	$"0033 2F00 0420 4801 1844 0408 0111 0222"
	$"2240 8011 1008 C220 0112 008C 8010 2004"
	$"4408 8889 0200 4440 2320 0108 9000 8100"
	$"4040 20FD 0033 2F00 0424 4881 1844 0410"
	$"0111 0222 2244 8811 1008 C220 0112 008C"
	$"8410 4004 4408 8889 1220 4440 2321 0108"
	$"9000 8200 4240 20FD 0033 2F00 03C3 8701"
	$"0844 043F 0111 03C2 1E38 700E 1008 4220"
	$"80E2 0084 7810 FC04 440F 0878 E1C0 3840"
	$"211E 0107 1000 87E0 3C40 22FD 000E F600"
	$"0002 F800 0080 F900 0008 EC00 0EF6 0000"
	$"02F9 0000 01F8 0000 08EC 0002 CD00 02CD"
	$"0002 CD00 02CD 00A0 0083 FF6E"
};

resource 'FREF' (23470) {
	'APPL',
	0,
	""
};

resource 'FREF' (23471) {
	'lprp',
	1,
	""
};

resource 'BNDL' (23470) {
	'lpra',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 23470,
			/* [2] */
			1, 23471
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 23470,
			/* [2] */
			1, 23471
		}
	}
};

resource 'MENU' (256, preload) {
	256,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About lpr...", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (257, preload) {
	257,
	textMenuProc,
	0x7FFFFD5B,
	enabled,
	"File",
	{	/* array: 11 elements */
		/* [1] */
		"Load Settings...", noIcon, noKey, noMark, plain,
		/* [2] */
		"Save Settings...", noIcon, noKey, noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Print file...", noIcon, "P", noMark, plain,
		/* [5] */
		"Print list of files...", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Show status", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Close", noIcon, noKey, noMark, plain,
		/* [10] */
		"-", noIcon, noKey, noMark, plain,
		/* [11] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (258, preload) {
	258,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (259, preload) {
	259,
	textMenuProc,
	allEnabled,
	enabled,
	"Settings",
	{	/* array: 5 elements */
		/* [1] */
		"Origin...", noIcon, noKey, noMark, plain,
		/* [2] */
		"Destination...", noIcon, noKey, noMark, plain,
		/* [3] */
		"Header page...", noIcon, noKey, noMark, plain,
		/* [4] */
		"Formatting...", noIcon, noKey, noMark, plain,
		/* [5] */
		"Printer control...", noIcon, noKey, noMark, plain
	}
};

resource 'ALRT' (257, preload) {
	{69, 155, 164, 357},
	257,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound3,
		/* [3] */
		OK, visible, sound3,
		/* [4] */
		OK, visible, sound3
	}
};

resource 'ALRT' (258, preload) {
	{88, 76, 214, 436},
	258,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound3,
		/* [3] */
		OK, visible, sound3,
		/* [4] */
		OK, visible, sound3
	}
};

resource 'ALRT' (261, preload) {
	{91, 74, 251, 438},
	261,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound3,
		/* [3] */
		OK, visible, sound3,
		/* [4] */
		OK, visible, sound3
	}
};

resource 'ALRT' (262, preload) {
	{91, 74, 251, 438},
	262,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound2,
		/* [2] */
		OK, visible, sound2,
		/* [3] */
		OK, visible, sound2,
		/* [4] */
		OK, visible, sound2
	}
};

resource 'ALRT' (263, preload) {
	{91, 74, 251, 438},
	263,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (272, preload) {
	{119, 129, 222, 382},
	272,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound2,
		/* [2] */
		OK, visible, sound2,
		/* [3] */
		OK, visible, sound2,
		/* [4] */
		OK, visible, sound2
	}
};

resource 'STR ' (256, preload) {
	"The printer port is not available for us"
	"e by AppleTalk.  Check that AppleTalk is"
	" active in the Chooser desk accessory."
};

resource 'STR ' (257, preload) {
	"Unable to load AppleTalk drivers.  A new"
	" System file may be needed."
};

resource 'STR ' (258, preload) {
	"Unable to determine my IP number and mas"
	"k.  "
};

resource 'STR ' (259, preload) {
	"Unable to register my IP number."
};

resource 'STR ' (260, preload) {
	"An error occurred saving the network con"
	"figuration data.  Check that the disk is"
	" not locked or full."
};

resource 'STR ' (261, preload) {
	"Cannot determine host address.  Table lo"
	"okup failed, and name server not specifi"
	"ed."
};

resource 'STR ' (262, preload) {
	"Attempt to open lpd connection failed."
};

resource 'STR ' (263, preload) {
	"Cannot connect to host.  Host is unreach"
	"able or there is a network problem."
};

resource 'STR ' (264, preload) {
	"Unable to determine host address: table "
	"and name server lookups failed."
};

resource 'STR ' (265, preload) {
	"Unable to send data to host.  Printing a"
	"borted.  "
};

resource 'STR ' (266, preload) {
	"Couldn't install Listener."
};

resource 'STR ' (267, preload) {
	"Couldn't find atpl resource."
};

resource 'STR ' (268, preload) {
	"Unkown error initializing EtherTalk."
};

resource 'STR ' (269, preload) {
	"Error from server: out of storage space."
};

resource 'STR ' (270, preload) {
	"VM printers require a userid and passwor"
	"d."
};

resource 'STR ' (271, preload) {
	"\"VM printer\" must be selected for userid"
	" and password to be saved."
};

resource 'STR ' (272, preload) {
	"LocalTalk TCP/IP gateway not responding."
};

resource 'STR ' (273, preload) {
	"Printing aborted: remote LPD server not "
	"responding."
};

resource 'ICN#' (23470, preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 00FF F800 0080 0800"
		$"00A0 2800 0080 0800 00A0 2800 0080 0800"
		$"00A0 2800 0080 0800 07FF FF00 0500 0500"
		$"07FF FF00 0500 0500 05FF FD00 0400 0100"
		$"0400 0FE0 0400 1010 0580 1010 07FF F010"
		$"0060 1010 0030 1010 001B 1010 000F 9010"
		$"0006 DFF0 0000 7010 0000 30D0 0000 1010"
		$"0000 1010 0000 1FF0",
		/* [2] */
		$"0000 0000 0000 0000 00FF F800 00FF F800"
		$"00FF F800 00FF F800 00FF F800 00FF F800"
		$"00FF F800 00FF F800 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"
		$"07FF FFE0 07FF FFF0 07FF FFF0 07FF FFF0"
		$"007F FFF0 003F FFF0 001F FFF0 000F FFF0"
		$"0006 FFF0 0000 7FF0 0000 3FF0 0000 1FF0"
		$"0000 1FF0 0000 1FF0"
	}
};

resource 'ICN#' (23471, preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFF FFC0 8000 0060 80FF F850 8080 0848"
		$"80A0 2844 8080 0842 80A0 287F 8080 0801"
		$"80A0 2801 8080 0801 87FF FF01 8500 0501"
		$"87FF FF01 8500 0501 85FF FD01 8400 0101"
		$"8400 0FE1 8400 1011 8580 1011 87FF F011"
		$"8060 1011 8030 1011 801B 1011 800F 9011"
		$"8006 DFF1 8000 7011 8000 30D1 8000 1011"
		$"8000 1011 8000 1FF1 8000 0001 FFFF FFFF",
		/* [2] */
		$"FFFF FFC0 FFFF FFE0 FFFF FFF0 FFFF FFF8"
		$"FFFF FFFC FFFF FFFE FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'icl8' (23470) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00EC ECEC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC ECEC 0000 0000 0000 0000"
	$"0000 0000 00EC F9EC 0202 0202 0202 0202"
	$"0202 0202 02EC F9EC 0000 0000 0000 0000"
	$"0000 0000 00EC ECEC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC F9EC 0000 0000 0000 0000"
	$"0000 0000 00EC F9EC 0202 0202 0202 0202"
	$"0202 0202 02EC F9EC 0000 0000 0000 0000"
	$"0000 0000 00EC F9EC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC F9EC 0000 0000 0000 0000"
	$"0000 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9EC 0000 0000 0000 0000"
	$"0000 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 D8D8 D8D8 D8D8 D800 0000 0000"
	$"0000 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 00EC F9F9 D8F9 F9F9 F9F9 F9F9"
	$"F9F9 F9D8 F6EC ECEC F6F6 F6D8 0000 0000"
	$"0000 0000 00EC ECEC D823 ECEC ECEC ECEC"
	$"ECEC ECD8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0023 1D00 0000 0000"
	$"0000 00D8 F6F6 F6E3 E3E3 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 1D17 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0017 0500 E3C3"
	$"0000 00D8 F620 2020 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 05E3 E3C3"
	$"EC00 00D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00E3 E300"
	$"EC66 00D8 D8D8 D8D8 D8D8 D8D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0066 68D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 68D8 F6F6 F6F6 D8D8 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 D8D8 D8D8 D8D8 D8D8"
};

resource 'icl8' (23471) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF FF00 0000 0000"
	$"FF00 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FF00 0000 00FF F7FF 0000 0000"
	$"FF00 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 00FF F7F7 FF00 0000"
	$"FF00 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 00FF F7F7 F7FF 0000"
	$"FF00 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 00FF F7F7 F7F7 FF00"
	$"FF00 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 00FF FFFF FFFF FFFF"
	$"FF00 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 00FF"
	$"FF00 0000 0000 0000 FF02 FF02 0202 0202"
	$"0202 FF02 FF00 0000 0000 0000 0000 00FF"
	$"FF00 0000 0000 0000 FF02 0202 0202 0202"
	$"0202 0202 FF00 0000 0000 0000 0000 00FF"
	$"FF00 0000 00EC ECEC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC ECEC 0000 0000 0000 00FF"
	$"FF00 0000 00EC F9EC 0202 0202 0202 0202"
	$"0202 0202 02EC F9EC 0000 0000 0000 00FF"
	$"FF00 0000 00EC ECEC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC F9EC 0000 0000 0000 00FF"
	$"FF00 0000 00EC F9EC 0202 0202 0202 0202"
	$"0202 0202 02EC F9EC 0000 0000 0000 00FF"
	$"FF00 0000 00EC F9EC ECEC ECEC ECEC ECEC"
	$"ECEC ECEC ECEC F9EC 0000 0000 0000 00FF"
	$"FF00 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9EC 0000 0000 0000 00FF"
	$"FF00 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 D8D8 D8D8 D8D8 D800 0000 00FF"
	$"FF00 0000 00EC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 00EC F9F9 D8F9 F9F9 F9F9 F9F9"
	$"F9F9 F9D8 F6EC ECEC F6F6 F6D8 0000 00FF"
	$"FF00 0000 00EC ECEC D823 ECEC ECEC ECEC"
	$"ECEC ECD8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0023 1D00 0000 0000"
	$"0000 00D8 F6F6 F6E3 E3E3 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 1D17 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0017 0500 E3C3"
	$"0000 00D8 F620 2020 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 05E3 E3C3"
	$"EC00 00D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 00E3 E300"
	$"EC66 00D8 D8D8 D8D8 D8D8 D8D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0066 68D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 68D8 F6F6 F6F6 D8D8 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 F6F6 F6F6 F6F6 F6D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 00D8 D8D8 D8D8 D8D8 D8D8 0000 00FF"
	$"FF00 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'icl4' (23470) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF F000 0000 0000"
	$"0000 0000 F000 0000 0000 F000 0000 0000"
	$"0000 0000 F0F0 0000 00F0 F000 0000 0000"
	$"0000 0000 F000 0000 0000 F000 0000 0000"
	$"0000 0000 F0F0 0000 00F0 F000 0000 0000"
	$"0000 0000 F000 0000 0000 F000 0000 0000"
	$"0000 0000 F0F0 0000 00F0 F000 0000 0000"
	$"0000 0000 F000 0000 0000 F000 0000 0000"
	$"0000 0666 6666 6666 6666 6666 0000 0000"
	$"0000 06D6 0000 0000 0000 06D6 0000 0000"
	$"0000 0666 6666 6666 6666 66D6 0000 0000"
	$"0000 06D6 0000 0000 0000 06D6 0000 0000"
	$"0000 06D6 6666 6666 6666 66D6 0000 0000"
	$"0000 06DD DDDD DDDD DDDD DDD6 0000 0000"
	$"0000 06DD DDDD DDDD DDDD 3333 3330 0000"
	$"0000 06DD DDDD DDDD DDD3 CCCC CCC3 0000"
	$"0000 06DD 3DDD DDDD DDD3 C666 CCC3 0000"
	$"0000 0666 3366 6666 6663 CCCC CCC3 0000"
	$"0000 0000 0320 0000 0003 CCC8 88C3 0000"
	$"0000 0000 0022 0000 0003 CCCC CCC3 0000"
	$"0000 0000 0002 1088 0003 C444 CCC3 0000"
	$"0000 0000 0000 1888 6003 CCCC CCC3 0000"
	$"0000 0000 0000 0880 6503 3333 3333 0000"
	$"0000 0000 0000 0000 0553 CCCC CCC3 0000"
	$"0000 0000 0000 0000 0053 CCCC 33C3 0000"
	$"0000 0000 0000 0000 0003 CCCC CCC3 0000"
	$"0000 0000 0000 0000 0003 CCCC CCC3 0000"
	$"0000 0000 0000 0000 0003 3333 3333"
};

resource 'icl4' (23471) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"F000 0000 0000 0000 0000 0000 0FF0 0000"
	$"F000 0000 FFFF FFFF FFFF F000 0FCF 0000"
	$"F000 0000 F000 0000 0000 F000 0FCC F000"
	$"F000 0000 F0F0 0000 00F0 F000 0FCC CF00"
	$"F000 0000 F000 0000 0000 F000 0FCC CCF0"
	$"F000 0000 F0F0 0000 00F0 F000 0FFF FFFF"
	$"F000 0000 F000 0000 0000 F000 0000 000F"
	$"F000 0000 F0F0 0000 00F0 F000 0000 000F"
	$"F000 0000 F000 0000 0000 F000 0000 000F"
	$"F000 0666 6666 6666 6666 6666 0000 000F"
	$"F000 06D6 0000 0000 0000 06D6 0000 000F"
	$"F000 0666 6666 6666 6666 66D6 0000 000F"
	$"F000 06D6 0000 0000 0000 06D6 0000 000F"
	$"F000 06D6 6666 6666 6666 66D6 0000 000F"
	$"F000 06DD DDDD DDDD DDDD DDD6 0000 000F"
	$"F000 06DD DDDD DDDD DDDD 3333 3330 000F"
	$"F000 06DD DDDD DDDD DDD3 CCCC CCC3 000F"
	$"F000 06DD 3DDD DDDD DDD3 C666 CCC3 000F"
	$"F000 0666 3366 6666 6663 CCCC CCC3 000F"
	$"F000 0000 0320 0000 0003 CCC8 88C3 000F"
	$"F000 0000 0022 0000 0003 CCCC CCC3 000F"
	$"F000 0000 0002 1088 0003 C444 CCC3 000F"
	$"F000 0000 0000 1888 6003 CCCC CCC3 000F"
	$"F000 0000 0000 0880 6503 3333 3333 000F"
	$"F000 0000 0000 0000 0553 CCCC CCC3 000F"
	$"F000 0000 0000 0000 0053 CCCC 33C3 000F"
	$"F000 0000 0000 0000 0003 CCCC CCC3 000F"
	$"F000 0000 0000 0000 0003 CCCC CCC3 000F"
	$"F000 0000 0000 0000 0003 3333 3333 000F"
	$"F000 0000 0000 0000 0000 0000 0000 000F"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics#' (23470) {
	{	/* array: 2 elements */
		/* [1] */
		$"7E00 4200 4200 4200 FF00 8100 FF00 811E"
		$"A121 FF21 1821 0D21 07BF 02E1 0061 003F",
		/* [2] */
		$"7E00 7E00 7E00 7E00 FF00 FF00 FF00 FF1E"
		$"FF3F FF3F 3F3F 1FBF 0FFF 07FF 02FF 007F"
	}
};

resource 'ics#' (23471) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFF8 800C BE0A A20F A201 FF01 C13D FF43"
		$"C153 D143 FF43 8E7F 8743 81C3 80FF FFFF",
		/* [2] */
		$"FFF8 FFFC FFFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ics8' (23470) {
	$"00FF FFFF FFFF FF00 0000 0000 0000 0000"
	$"00FF 0202 0202 FF00 0000 0000 0000 0000"
	$"00FF 0202 0202 FF00 0000 0000 0000 0000"
	$"00FF 0202 0202 FF00 0000 0000 0000 0000"
	$"ECEC ECEC ECEC ECEC 0000 0000 0000 0000"
	$"EC02 0202 0202 02EC 0000 0000 0000 0000"
	$"ECEC ECEC ECEC ECEC 0000 0000 0000 0000"
	$"ECF9 F9F9 F9F9 F9EC 0000 00D8 D8D8 D800"
	$"ECF9 D8F9 F9F9 F9EC 0000 D8F6 F6F6 F6D8"
	$"ECEC D81D ECEC ECEC 0000 D8F6 ECF6 F6D8"
	$"0000 001D 0500 0000 0000 D8F6 F6F6 F6D8"
	$"0000 0000 05E3 00EC 0000 D8F6 F6F6 F6D8"
	$"0000 0000 00E3 C3EC 6600 D8D8 D8D8 D8D8"
	$"0000 0000 0000 C300 6668 D8F6 F6F6 F6D8"
	$"0000 0000 0000 0000 0068 D8F6 F6F6 F6D8"
	$"0000 0000 0000 0000 0000 D8D8 D8D8 D8D8"
};

resource 'ics8' (23471) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"FF00 0000 0000 0000 0000 0000 FFFF 0000"
	$"FF00 FFFF FFFF FF00 0000 0000 FFF7 FF00"
	$"FF00 FF02 0202 FF00 0000 0000 FFFF FFFF"
	$"FF00 FF02 0202 FF00 0000 0000 0000 00FF"
	$"FFEC ECEC ECEC ECEC 0000 0000 0000 00FF"
	$"FFEC 0202 0202 02EC 0000 D8D8 D8D8 00FF"
	$"FFEC ECEC ECEC ECEC 00D8 F6F6 F6F6 D8FF"
	$"FFEC F9F9 F9F9 F9EC 00D8 F6EC F6F6 D8FF"
	$"FFEC F9D8 F9F9 F9EC 00D8 F6F6 F6F6 D8FF"
	$"FFEC ECD8 1DEC ECEC 00D8 F6F6 F6F6 D8FF"
	$"FF00 0000 1D0B E300 00D8 D8D8 D8D8 D8FF"
	$"FF00 0000 000B E3EC 00D8 F6F6 F6F6 D8FF"
	$"FF00 0000 0000 00EC 66D8 F6F6 F6F6 D8FF"
	$"FF00 0000 0000 0000 66D8 D8D8 D8D8 D8FF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics4' (23470) {
	$"0FFF FFF0 0000 0000 0F00 00F0 0000 0000"
	$"0F00 00F0 0000 0000 0F00 00F0 0000 0000"
	$"6666 6666 0000 0000 6000 0006 0000 0000"
	$"6666 6666 0000 0000 6DDD DDD6 0003 3330"
	$"6D3D DDD6 003C CCC3 6632 6666 003C 6CC3"
	$"0002 1000 003C CCC3 0000 1806 003C CCC3"
	$"0000 0886 5033 3333 0000 0080 553C CCC3"
	$"0000 0000 053C CCC3 0000 0000 0033 3333"
};

resource 'ics4' (23471) {
	$"FFFF FFFF FFFF F000 F000 0000 0000 FF00"
	$"F0FF FFF0 0000 FCF0 F0F0 00F0 0000 FFFF"
	$"F0F0 00F0 0000 000F F666 6666 0000 000F"
	$"F600 0006 0033 330F F666 6666 03CC CC3F"
	$"F6DD DDD6 03C6 CC3F F6D3 DDD6 03CC CC3F"
	$"F663 2666 03CC CC3F F000 2180 0333 333F"
	$"F000 0186 03CC CC3F F000 0006 53CC CC3F"
	$"F000 0000 5333 333F FFFF FFFF FFFF FFFF"
};
