/* dialogs.c */
void aboutdlg(void);
void statdlg(short, short);
void settext(DialogPtr, short, unsigned char *);
short savedlg(void);
void orgdlg(void);
void setorg(DialogPtr, unsigned char *, unsigned char *);
void destdlg(short);
void setdest(DialogPtr, unsigned char *, unsigned char *,
		unsigned char, unsigned char *, unsigned char *,
		unsigned char);
void headdlg(void);
void sethead(DialogPtr, unsigned char, unsigned char *,
		unsigned char *, unsigned char *);
void fmtdlg(void);
void setfmt(DialogPtr, unsigned char, unsigned char *, short, short,
		short, short, unsigned char, unsigned char, short,
		unsigned char);
void ctldlg(void);
void setctl(DialogPtr, unsigned short, unsigned char *,
		unsigned char *);
void infodlg(short);
void stgalert(unsigned char *, unsigned char *, long amount);
short quitdlg(void);
short vmuserdlg(void);
void dbdlg(unsigned char *);
void stoperr(short);
pascal Boolean DlgFilter(DialogPtr, EventRecord *, short *);
pascal Boolean pDlgFilter(DialogPeek, EventRecord *, short *);
void updpass(short, short, unsigned short);
void appendpass(unsigned char *, short);
void setit(short, DialogPtr, short);
void ctrwindow(GrafPtr);
void ctralrt(short);
void framedflt(DialogPtr);
short getstring(DialogPtr, short, unsigned char *, unsigned char *,
		short);
short checkstring(unsigned char *, DialogPtr, short, unsigned char *,
		unsigned char *, short);
short getcnum(DialogPtr, short, unsigned char *, unsigned char *, short, 
		short);
short checknum(unsigned char *, DialogPtr, short, unsigned char *,
		unsigned char *, short, short);

/* dlguser.c */
pascal void destuser(WindowPtr, short);
pascal void headuser(WindowPtr, short);
pascal void fmtuser(WindowPtr, short);
OSErr newmap(GrafPtr, Rect *);

/* format.c */
OSErr prtformat(void);
OSErr docontrol(unsigned char *);
OSErr dofile(void);
void maketitles(void);
short puthead(void);
short skip(short);
short putline(void);
OSErr getline(void);
short newchar(void);
OSErr fmtwrite(unsigned char *, short);
short ctlline(void);

/* lpr.c */
void hnd_init(void);
void macinit(void);
void macend(void);
void hndmac(void);
void dozoom(WindowPtr, short);
void updevent(GrafPtr);
void menu_upd(void);
void docommand(long);
void watchcurs(void);
void resetcurs(void);
void getdflt(unsigned char *, short, ResType, short);
short fixblank(unsigned char *, short);
void statGrowIcon(void);

/* printit.c */
void printit(void);
void prtevent(unsigned char *, short);
void sendfinfo(void);
void sendctlinfo(void);
void sendcontrol(void);
void server_err(unsigned char *, short, short, short, short);
void okalrt(void);

/* settings.c */
OSErr init_settings(void);
short read_settings(unsigned char);
short get_settings(unsigned char *, short, unsigned char);
void write_settings(void);
short new_settings(void);
void seterr(void);
short chrval(unsigned char);
short setval(unsigned char *, short, unsigned char *, short); 
OSErr fsrdopen(unsigned char *, short, short *);
pascal Boolean SF_Filter(DialogPtr, EventRecord *, short *);

/* switcher.c */
void sw_suspend(void);
void sw_resume(void);
short sw_active(void);
WorldTable * get_world();
void sw_proc(void);

/* tcpio.c */
void putln(unsigned char *);
void tcpread(void);
void tcpwrite(unsigned char *, short);
void tcp_init(void);
void tcp_end(void);
void tcpevent(void);
void tcplgin(void);
pascal void resolveproc(struct hostInfo*, char *);
OSErr netopen(void);
unsigned short getevent(void);
pascal void mynotify(StreamPtr, unsigned short, Ptr, unsigned short,
					struct ICMPReport *);
void tcplgout(void);
void prtclean(void);
void newconn(short);
unsigned char * rdhostname(void);
short rdportnum(void);
void tcpdump(unsigned char *, unsigned char *, short);
FILE *dbgopen(void);
void dbgclose(FILE *);
void dbgwait(void);
