/* -- remove this header before using file! --
HEADER:		The Last Cross-Referencer;
TITLE:		TLC/TLP - The Last Cross-Referencer;
VERSION:	1.01;

DESCRIPTION: "TLC/TLP.
			Macintosh MPW C 3.0 Make file to compile/link TLP";

KEYWORDS:	Utility, Cross-reference, C, Pascal, Apple, Macintosh, APW, Aztec;
SYSTEM:		Macintosh MPW, v3.0;
FILENAME:	TLP.MAKE;
WARNINGS:	"Has not yet been ported to MS-DOS.
			Shareware, $20 Check/Money Order suggested.";

SEE-ALSO:	README.TLC,TLCHELP.DOC,TLPHELP.DOC;
AUTHORS:	Eduard Schwan;
COMPILERS:	AZTEC C65 v3.2b, APPLEIIGS APW C v1.0, APPLE MACINTOSH MPW C v3.0;
*/
#   File:       tlp.make - The Last Pascal Cross-referencer
#   Target:     tlp
#   Sources:    tlp.c
#               tlccmd.c
#				tlc.ext
#               tlpgtok.c
#				tlc.h
#               tlcparm.c
#               tlpprocf.c
#               tlcresw.c
#               tlcsetp.c
#               tlcstat.c
#               tlcutil.c
#               tlcxref.c
#   Created:    Saturday, May 7, 1988 5:53:10 PM
#	Author:		Eduard Schwan [esp]

tlcincs		= tlc.h tlc.ext
directives	= -mbg 15

tlp.c.o  tlp.make tlp.c {tlcincs}
	C {directives} tlp.c
tlccmd.c.o  tlp.make tlccmd.c {tlcincs}
	C {directives} tlccmd.c
tlpgtok.c.o  tlp.make tlpgtok.c {tlcincs}
	C {directives} tlpgtok.c
tlcparm.c.o  tlp.make tlcparm.c {tlcincs}
	C {directives} tlcparm.c
tlpprocf.c.o  tlp.make tlpprocf.c {tlcincs}
	C {directives} tlpprocf.c
tlcresw.c.o  tlp.make tlcresw.c {tlcincs}
	C {directives} tlcresw.c
tlcsetp.c.o  tlp.make tlcsetp.c {tlcincs}
	C {directives} tlcsetp.c
tlcstat.c.o  tlp.make tlcstat.c {tlcincs}
	C {directives} tlcstat.c
tlcutil.c.o  tlp.make tlcutil.c {tlcincs}
	C {directives} tlcutil.c
tlcxref.c.o  tlp.make tlcxref.c {tlcincs}
	C {directives} tlcxref.c
tlp  tlp.make 
		tlp.c.o 
		tlccmd.c.o 
		tlpgtok.c.o 
		tlcparm.c.o 
		tlpprocf.c.o 
		tlcresw.c.o 
		tlcsetp.c.o 
		tlcstat.c.o 
		tlcutil.c.o 
		tlcxref.c.o
	Link -w -t MPST -c 'MPS ' 
		tlp.c.o 
		tlccmd.c.o 
		tlpgtok.c.o 
		tlcparm.c.o 
		tlpprocf.c.o 
		tlcresw.c.o 
		tlcsetp.c.o 
		tlcstat.c.o 
		tlcutil.c.o 
		tlcxref.c.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"CRuntime.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"ToolLibs.o 
		-o "{mpw}Tools:tlp"
