#define	NMENUS		4		/* number of defined menus */
#define appleMenu	256
#define	fileMenu	257
#define editMenu	258
#define setMenu		259

#define HLPD		515	

#define PASSLIMIT	10800
#define LPDLIMIT	10800

#define MARGIN		2			/* margin after titles */

#define portalrt		256		/* stoperr message codes */
#define loadalrt		257
#define addralrt		258
#define regalrt			259
#define cfigalrt		260
#define domalrt			261
#define lopnalrt		262
#define conalrt			263
#define numalrt			264
#define wrtalrt			265
#define et1alrt			266
#define	et2alrt			267
#define	et3alrt			268
#define sizalrt			269
#define vmp1alrt		270
#define vmp2alrt		271
#define kipalrt			272
#define lpdalrt			273

typedef struct {
	unsigned char dblevel;			/* debug level */
	unsigned char timeout;			/* timeout in seconds */
	unsigned char retries;			/* number of retries */
	unsigned char vmflag;			/* IBM VM printer */
	unsigned char hdrflag;			/* generate header page */
	unsigned char fmttype;			/* formatting type, 0-2 */
	unsigned char pascalflag;		/* format as Pascal file */
	unsigned char splitflag;		/* split lines during formatting */
	unsigned char findent;			/* indent for formatting */
	unsigned char fwidth;			/* width for formatting */
	unsigned char copycnt;			/* copy count */
	unsigned char ftop;				/* top margin for formatting */
	unsigned char fpgsize;			/* number of lines to use on a page */
	unsigned char ftabsize;			/* tab column spacing */
	unsigned char duplex;			/* duplex formatting */
	unsigned char newprot;			/* new protocol */
	unsigned char vmclass[2];		/* VM class */
	unsigned char vmform[9];		/* VM form */
	unsigned char vmuser[9];		/* VM userid */
	unsigned char hostname[128];	/* host name */
	unsigned char printer[64];		/* printer name */
	unsigned char orghost[64];		/* origin host name */
	unsigned char orguser[64];		/* origin user name */
	unsigned char hdrid[64];		/* identification */
	unsigned char jobname[64];		/* job name */
	unsigned char hdrclass[64];		/* header classification */
	unsigned char fmttitle[64];		/* title for formatting */
	} settings_list;

typedef struct WorldTable {
	char *			WTPCBPtr;
	unsigned int	WTFlags;
	ProcPtr			WTBgtask;
	Handle			WTScrbits;
	WindowPtr		WTDeskAcc;
	} WorldTable;
	
typedef struct {
	short newresult;
	OSErr rc;
	unsigned long address;
	} domainresult;

