/*** Warning, some information in this document has changed ***/
/************  Contact SciComp for latest version *************/

/*  copyright 1990, SciComp Software, all rights reserved */
/* xpop.h */

#ifndef _XPOP_
#define _XPOP_

typedef struct {
		long	private;
		short	message;
		long	result;
		long	param;
		} XPopRec,*XPopRecPtr;
	
enum	xpopMessages	{ init,close,fopen,fclose,query,doit };
enum	languages		{ _c,_cplusplus,_pascal,_objectpascal,_rez};
enum	environments	{ kMPW, kTHINK };
enum	selectionType	{ kDontCare, kNeedSelection, kNeedNoSelection };
enum	whereChoices	{ kBefore, kAfter, kReplace };

/* init record structures */

typedef	struct	{
	char		version;	/* version of the record structure, this version = 1 */
	long		language;	/* bit flags, 32 different languages */
	Boolean		writes;		/* intends to write, don't bother if file locked */
	Boolean		sensitive;	/* needs first512 to decide */
	Boolean		getFileMsgs;/* wants fopen, fclose messages */
	char		selStuff;  	/* kDontCare, kNeedSelection, kNeedNoSelection */
	char		environment;
	}	InitRec, *InitRecPtr;
	
/* query and doit record structures */

typedef	struct	{
	char		version;	/* version of the record structure, this version = 1 */
	StringPtr	fileName;
	long		dirID;
	long		selStart,selEnd;
	Handle		hText;		/* the first 512 characters, or the whole text */
	char		language;
	char		environment;
	Boolean		writeLocked;
	}	SelectionRec, *SelectionRecPtr;

typedef	struct	{
	char		version;	/* version of the record structure, this version = 1 */
	Boolean		paste;		/* should PUF paste the contents of the handle? */
	char		where;		/* before, after, replace */
	}	PostDoRec, *PostDoRecPtr;

#ifndef NIL
	#define NIL 0L
#endif

#endif